<?php
/**
 * The template for displaying 404 pages (not found)
 */

get_header();
	
$despero_custom_divider 		= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url');
$despero_custom_divider_width 	= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '';
?>
	
	<div id="error404_container">
		<div class="container text-center">
			<h1><?php echo esc_html__('404', 'despero'); ?></h1>
			<div class="text-center">
				<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
					<div class="divider_active">
						<?php if( ! empty( $despero_custom_divider ) ){ ?>
							<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
						<?php } else { ?>
							<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
						<?php } ?>
					</div>
				<?php } ?>
				<h2><?php echo esc_html__('Page not found', 'despero'); ?></h2>
				<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
					<div class="divider_active">
						<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
							<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
						<?php } else { ?>
							<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
						<?php } ?>
					</div>
				<?php } ?>
			</div>
			<?php if( class_exists('ReduxFrameworkPlugin') && despero_options('page404_descr') != '' ) { ?>
				<p><?php echo esc_html( despero_options('page404_descr') ); ?></p>
			<?php } ?>
			<div class="clearfix"></div>
			<a class="btnback" href="<?php echo esc_url( home_url( '/' ) ); ?>/"><i class="fa fa-chevron-left"></i><?php echo esc_html__('Back Homepage', 'despero'); ?></a>
		</div>
	</div>

<?php get_footer(); ?>
