<?php
/**
 * The template for displaying the footer
 */

global $post, $despero_options;

$despero_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );

$despero_options_enable_prefooter 		= class_exists('ReduxFrameworkPlugin') ? despero_options('enable_prefooter') : 'hide';
$despero_enable_prefooter 				= ( get_post_meta( $despero_postId, 'despero_enable_prefooter', true ) ? get_post_meta( $despero_postId, 'despero_enable_prefooter', true ) : $despero_options_enable_prefooter );
$despero_options_footer 				= class_exists('ReduxFrameworkPlugin') ? despero_options('footer') : 'show';
$despero_enable_footer 					= ( get_post_meta( $despero_postId, 'despero_footer', true ) ? get_post_meta( $despero_postId, 'despero_footer', true ) : $despero_options_footer );

if ( !is_404() && !is_search() ) {
	$despero_options_footer_layout 		= class_exists('ReduxFrameworkPlugin') ? despero_options('footer_layout') : 'boxed';
	$despero_footer_layout 				= ( get_post_meta( $post->ID, 'despero_footer_layout', true ) ? get_post_meta( $post->ID, 'despero_footer_layout', true ) : $despero_options_footer_layout );
} else {
	$despero_footer_layout 				= class_exists('ReduxFrameworkPlugin') ? despero_options('footer_layout') : 'boxed';
}

$despero_footer_class = $despero_footer_layout;
?>
		
		</div><!-- //page-content -->
		
		<footer class="<?php echo esc_html( $despero_footer_class ); ?>">
		
			<!-- Prefooter Area -->
			<?php if( $despero_enable_prefooter == 'show' ) { ?>
				<div id="prefooter_area">
					<div class="container">
						<div class="row">
							<?php
								$despero_widgets_grid = class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_col') : '4-4-4';
								$i = 1;
								foreach (explode('-', $despero_widgets_grid) as $despero_widgets_g) {
									echo '<div class="col-md-' . esc_attr( $despero_widgets_g ) . ' col-' . esc_attr( $i ) . '">';
										dynamic_sidebar("footer-area-$i");
									echo '</div>';
									$i++;
								}
							?>
						</div>
					</div>
				</div>
			<?php } ?>
			
			<!-- Footer Area -->
			<?php if( $despero_enable_footer == 'show' ) { ?>
				<div id="footer_bottom">
					<div class="container">
						<div class="row">
							<div class="col-sm-6 copyright_wrap">
								<?php $despero_footer_copyright = class_exists('ReduxFrameworkPlugin') ? despero_options('footer_copyright') : esc_html__('Copyright © 2020 Despero. All Rights Reserved.', 'despero'); ?>
								<?php if(!empty( $despero_footer_copyright ) ) { echo '<div class="copyright">' . $despero_footer_copyright . '</div>'; } ?>
							</div>
							<div class="col-sm-6 social_links_wrap text-right">
								<?php echo despero_social_links(); ?>
							</div>
						</div>
					</div>
				</div>
			<?php } ?>
			
		</footer>
		
	</div><!-- //Page Wrap -->
	
<?php wp_footer(); ?>

</body>
</html>