<?php

//	Admin Styles
function despero_admin_google_fonts_url(){
	
	$admin_google_font_url = add_query_arg( 'family', urlencode( 'Lato:300,400,700,900&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
    return $admin_google_font_url;
}

function despero_admin_style() {
	
	#CSS
	wp_enqueue_style('despero-admin', get_template_directory_uri() . '/inc/assets/css/cstheme-admin.css');
	wp_enqueue_style('despero-redux', get_template_directory_uri() . '/inc/assets/css/evatheme-redux-options.css');
	wp_enqueue_style('despero-admin-google-fonts', despero_admin_google_fonts_url(), array(), '1.0.0' );
	
	#JS
	wp_enqueue_script('despero-admin', get_template_directory_uri() . '/inc/assets/js/cstheme-admin.js', array( 'jquery' ), '', true);
	
}
add_action('admin_enqueue_scripts', 'despero_admin_style');

/* Register Google Fonts */
function despero_google_fonts_url(){
	
	$google_font_url = add_query_arg( 'family', urlencode( 'Source Sans Pro:200,300,400,600,700,900&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
    return $google_font_url;
}

#Frontend
if ( !function_exists('despero_css_js_register')) {
	function despero_css_js_register(){
		
		global $post;
		
		$despero_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );
		
		$despero_post_single_style = '';
		$despero_post_single_style = get_post_meta( $despero_postId, 'despero_post_single_style', true );
		
		$despero_header_style = 'header-top';
		
		#CSS
		wp_enqueue_style('bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.min.css');
		wp_enqueue_style('fontawesome', get_template_directory_uri() . '/assets/css/font-awesome.min.css');
		wp_enqueue_style('despero-evathemeicons', get_template_directory_uri() . '/assets/css/Evatheme-Icon-Fonts.css');
		wp_enqueue_style('fluidbox', get_template_directory_uri() . '/assets/css/fluidbox.css');
		wp_enqueue_style('despero-owlcarousel', get_template_directory_uri() . '/assets/css/custom-owlcarousel.css');
		wp_enqueue_style('despero-theme', get_template_directory_uri() . '/assets/css/theme-style.css');
		wp_enqueue_style('despero-responsive', get_template_directory_uri() . '/assets/css/responsive.css');
		wp_enqueue_style('despero-default', get_stylesheet_uri());
		
		if( ! class_exists( 'ReduxFrameworkPlugin' ) ) {
			wp_enqueue_style('despero-google-fonts', despero_google_fonts_url(), array(), '1.0.0' );
		}

		#JS
		wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.min.js', array(), '3.3.4', true);
		wp_enqueue_script('magnific-popup', get_template_directory_uri() . '/assets/js/jquery.magnific-popup.min.js', array(), '0.9.9', true);
		wp_enqueue_script('mousewheel', get_template_directory_uri() . '/assets/js/jquery.mousewheel.js', array( 'jquery' ), '3.1.9', true);
		wp_enqueue_script('despero-fluidbox', get_template_directory_uri() . '/assets/js/cstheme-fluidbox.js', array(), '', true);
		wp_enqueue_script('despero-owlcarousel', get_template_directory_uri() . '/assets/js/custom-owlcarousel.js', array(), false, true);
		
		$despero_func_fixed_sidebar = class_exists('ReduxFrameworkPlugin') ? despero_options('func_fixed_sidebar') : '0';
		if( $despero_func_fixed_sidebar != '0' && $despero_post_single_style != 'fullscreen' ) {
			wp_enqueue_script('despero-stickysidebar', get_template_directory_uri() . '/assets/js/cstheme-stickysidebar.js', array(), false, true);
		}
		wp_enqueue_script('despero-script', get_template_directory_uri() . '/assets/js/cstheme-script.js', array( 'jquery' ), '', true);
		
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
		
		//	Coming Soon Page
		if( get_page_template_slug() == "page-comingsoon.php" ) {
			
			$despero_comings_soon_years 		= get_post_meta( $post->ID, 'despero_comings_soon_years', true );
			$despero_comings_soon_months 	= get_post_meta( $post->ID, 'despero_comings_soon_months', true );
			$despero_comings_soon_days 		= get_post_meta( $post->ID, 'despero_comings_soon_days', true );
			
			wp_add_inline_script( 'despero-script', '
				
				jQuery(document).ready(function() {
					jQuery(".countdown").downCount({
						date: "' . esc_html( $despero_comings_soon_months ) . '/' . esc_html( $despero_comings_soon_days ) . '/' . esc_html( $despero_comings_soon_years ) . ' 12:00:00"
					});
				});
			
			' );
			
		}

	}
}
add_action('wp_enqueue_scripts', 'despero_css_js_register');


/* Custom styles */
function despero_custom_styles() {
	
	global $post;
	
	wp_enqueue_style( 'despero_inline_custom_style', get_template_directory_uri() . '/assets/css/cstheme_custom_styles.css' );
	
	$despero_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );
	
	$despero_theme_color 					= class_exists('ReduxFrameworkPlugin') ? despero_options('theme_color') : '#d5c3a0';
	$despero_header_bg_style 				= class_exists('ReduxFrameworkPlugin') ? despero_options('header_bg_style') : 'bgcolor';
	$despero_header_page_bg_style 			= get_post_meta( $despero_postId, 'despero_header_page_bg_style', true );
	$despero_header_bgcolor 				= class_exists('ReduxFrameworkPlugin') ? despero_options('header_bgcolor') : '#ffffff';
	$despero_header_color 					= class_exists('ReduxFrameworkPlugin') ? despero_options('header_color') : '#ffffff';
	$despero_headersubmenu_font_family 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_font', 'font-family') : 'Josefin Sans';
	$despero_headersubmenu_font_transform 	= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_font', 'text-transform') : 'none';
	$despero_headersubmenu_font_weight 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_font', 'font-weight') : '600';
	$despero_headersubmenu_font_height 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_font', 'line-height') : '18px';
	$despero_headersubmenu_font_size 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_font', 'font-size') : '16px';
	$despero_headersubmenu_font_color 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_font', 'color') : '#000000';
	$despero_headersubmenu_font_spacing 	= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_font', 'letter-spacing') : '0px';
	$despero_headermenu_hover_color 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_hover_color') : '#d5c3a0';
	$despero_headersubmenu_bgcolor 			= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_bgcolor') : '#ffffff';
	$despero_headersubmenu_hover_bgcolor 	= class_exists('ReduxFrameworkPlugin') ? despero_options('headersubmenu_hover_bgcolor') : '#f8f4ed';
	$despero_header_style 					= 'header-top';
	$despero_header_left_bgcolor 			= class_exists('ReduxFrameworkPlugin') ? despero_options('header_left_bgcolor') : '#2d2f31';
	$despero_header_left_color 				= class_exists('ReduxFrameworkPlugin') ? despero_options('header_left_color') : '#ffffff';
	$despero_prefooter_bgcolor 				= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_bgcolor') : '#2d2f31';
	$despero_prefooter_color 				= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_color') : '#999999';
	$despero_footer_bgcolor 				= class_exists('ReduxFrameworkPlugin') ? despero_options('footer_bgcolor') : '#1e1e1e';
	$despero_footer_color 					= class_exists('ReduxFrameworkPlugin') ? despero_options('footer_color') : '#b7b7b7';
	$despero_portfolio_overlay 				= class_exists('ReduxFrameworkPlugin') ? despero_options('portfolio_overlay') : '#333333';
	$despero_portfolio_overlay_opacity 		= class_exists('ReduxFrameworkPlugin') ? despero_options('portfolio_overlay_opacity') : '85';
	$despero_portfolio_filter_color 		= class_exists('ReduxFrameworkPlugin') ? despero_options('portfolio_filter_color') : '#333333';
	$despero_prefooter_headings_family 		= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_headings', 'font-family') : 'Catamaran';
	$despero_prefooter_headings_transform 	= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_headings', 'text-transform') : 'none';
	$despero_prefooter_headings_weight 		= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_headings', 'font-weight') : '500';
	$despero_prefooter_headings_height 		= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_headings', 'line-height') : '28px';
	$despero_prefooter_headings_size 		= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_headings', 'font-size') : '18px';
	$despero_prefooter_headings_color 		= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_headings', 'color') : '#ffffff';
	$despero_prefooter_headings_spacing 	= class_exists('ReduxFrameworkPlugin') ? despero_options('prefooter_headings', 'letter-spacing') : '0px';
	$despero_headermenu_font_family 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_font', 'font-family') : 'Josefin Sans';
	$despero_headermenu_font_transform 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_font', 'text-transform') : 'none';
	$despero_headermenu_font_weight 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_font', 'font-weight') : '700';
	$despero_headermenu_font_height 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_font', 'line-height') : '18px';
	$despero_headermenu_font_size 			= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_font', 'font-size') : '18px';
	$despero_headermenu_font_color 			= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_font', 'color') : '#000000';
	$despero_headermenu_font_spacing 		= class_exists('ReduxFrameworkPlugin') ? despero_options('headermenu_font', 'letter-spacing') : '0px';
	$despero_heading_font_family 			= class_exists('ReduxFrameworkPlugin') ? despero_options('h1-font', 'font-family') : 'Josefin Sans';
	$despero_body_font_family 				= class_exists('ReduxFrameworkPlugin') ? despero_options('body-font', 'font-family') : 'Source Sans Pro';
	$despero_body_font_transform 			= class_exists('ReduxFrameworkPlugin') ? despero_options('body-font', 'text-transform') : 'none';
	$despero_body_font_weight 				= class_exists('ReduxFrameworkPlugin') ? despero_options('body-font', 'font-weight') : '300';
	$despero_body_font_height 				= class_exists('ReduxFrameworkPlugin') ? despero_options('body-font', 'line-height') : '34px';
	$despero_body_font_size 				= class_exists('ReduxFrameworkPlugin') ? despero_options('body-font', 'font-size') : '18px';
	$despero_body_font_color 				= class_exists('ReduxFrameworkPlugin') ? despero_options('body-font', 'color') : '#181818';
	$despero_body_font_spacing 				= class_exists('ReduxFrameworkPlugin') ? despero_options('body-font', 'letter-spacing') : '0px';

	// Theme / Page Background Stylings
	$despero_page_bg_styles = $despero_page_bg_image = $despero_page_bg_image_repeat = $despero_page_bg_color = $despero_page_bg_attachment = $despero_page_bg_position = $despero_page_bg_cover = $despero_page_text_color = $despero_theme_boxed_margin = '';
	$despero_page_bg_image = get_post_meta( $despero_postId, 'despero_page_bg_image', true );

	if ( $despero_page_bg_image ) {
		if ( is_numeric( $despero_page_bg_image ) ) {
			$despero_page_bg_image = wp_get_attachment_image_src( $despero_page_bg_image, 'full' );
			$despero_page_bg_image = $despero_page_bg_image[0];
		}
	}

	$despero_page_bg_image_repeat 	= get_post_meta( $despero_postId, 'despero_page_bg_repeat', true );
	$despero_page_bg_color 			= get_post_meta( $despero_postId, 'despero_page_bg_color', true );
	$despero_page_bg_attachment 	= get_post_meta( $despero_postId, 'despero_page_bg_attachment', true );
	$despero_page_bg_position 		= get_post_meta( $despero_postId, 'despero_page_bg_position', true );
	$despero_page_bg_cover 			= get_post_meta( $despero_postId, 'despero_page_bg_full', true );
	$despero_page_text_color 		= get_post_meta( $despero_postId, 'despero_page_text_color', true );

	$despero_theme_bg_image = $despero_theme_bg_image_repeat = $despero_theme_bg_color = $despero_theme_bg_attachment = $despero_theme_bg_position = $despero_theme_bg_cover = '';
	if( class_exists('ReduxFrameworkPlugin') ) {
		if( despero_options('theme_bg_image', 'background-image') != '' ) {
			$despero_theme_bg_image = despero_options('theme_bg_image', 'background-image');
		}
		if( despero_options('theme_bg_image', 'background-repeat') != '' ) {
			$despero_theme_bg_image_repeat = despero_options('theme_bg_image', 'background-repeat');
		}
		if( despero_options('theme_bg_image', 'background-attachment') != '' ) {
			$despero_theme_bg_attachment = despero_options('theme_bg_image', 'background-attachment');
		}
		if( despero_options('theme_bg_image', 'background-position') != '' ) {
			$despero_theme_bg_position = despero_options('theme_bg_image', 'background-position');
		}
		if( despero_options('theme_bg_image', 'background-size') != '' ) {
			$despero_theme_bg_cover = despero_options('theme_bg_image', 'background-size');
		}
	}
	if( despero_options('theme_bg_image', 'background-color') != '' ) {
		$despero_theme_bg_color = despero_options('theme_bg_image', 'background-color');
	}

	$despero_page_bg_image 			= ! empty( $despero_page_bg_image ) ? $despero_page_bg_image : $despero_theme_bg_image;
	$despero_page_bg_color 			= ! empty( $despero_page_bg_color ) ? $despero_page_bg_color : $despero_theme_bg_color;
	$despero_page_bg_image_repeat 	= ! empty( $despero_page_bg_image_repeat ) ? $despero_page_bg_image_repeat : $despero_theme_bg_image_repeat;
	$despero_page_bg_attachment 	= ! empty( $despero_page_bg_attachment ) ? $despero_page_bg_attachment : $despero_theme_bg_attachment;
	$despero_page_bg_position 		= ! empty( $despero_page_bg_position ) ? $despero_page_bg_position : $despero_theme_bg_position;
	$despero_page_bg_cover 			= ! empty( $despero_page_bg_cover ) ? $despero_page_bg_cover : $despero_theme_bg_cover;

	if( isset( $despero_page_bg_image ) && $despero_page_bg_image != '' ) {
		$despero_page_bg_styles .= 'background-image: url('. $despero_page_bg_image .');';
		if( isset( $despero_page_bg_image_repeat ) && $despero_page_bg_image_repeat != '' ) {
			$despero_page_bg_styles .= 'background-repeat: '. $despero_page_bg_image_repeat .';';
		}
		if( isset( $despero_page_bg_attachment ) && $despero_page_bg_attachment != '' ) {
			$despero_page_bg_styles .= 'background-attachment: '. $despero_page_bg_attachment .';';
		}
		if( isset( $despero_page_bg_position ) && $despero_page_bg_position != '' ) {
			$despero_page_bg_styles .= 'background-position: '. $despero_page_bg_position .';';
		}
		if( isset( $despero_page_bg_cover ) && $despero_page_bg_cover != '' ) {
			$despero_page_bg_styles .= 'background-size: '. $despero_page_bg_cover .';';
			$despero_page_bg_styles .= '-moz-background-size: '. $despero_page_bg_cover .';';
			$despero_page_bg_styles .= '-webkit-background-size: '. $despero_page_bg_cover .';';
			$despero_page_bg_styles .= '-o-background-size: '. $despero_page_bg_cover .';';
			$despero_page_bg_styles .= '-ms-background-size: '. $despero_page_bg_cover .';';
		}
	}

	if( isset( $despero_page_bg_color ) && $despero_page_bg_color != '' ) {
		$despero_page_bg_styles .= 'background-color: '. $despero_page_bg_color .';';
	}

	
	$despero_theme_boxed_margin = class_exists('ReduxFrameworkPlugin') ? despero_options('theme_boxed_margin') : '0';
	
	$despero_header_bg_style = !empty( $despero_header_page_bg_style ) ? $despero_header_page_bg_style : $despero_header_bg_style;
	
	if ( class_exists('ReduxFrameworkPlugin') ) {
		$despero_header_bgcolor_opacity = despero_options('header_bgcolor_opacity');
	} else {
		$despero_header_bgcolor_opacity = '99';
	}
	
	
	
	if ( ( $despero_header_bg_style != 'gradient' ) || ( is_singular('portfolio') && despero_options('portfolio_single_pagetitle') != 'show' ) ) {
		$despero_headertop_bg = '
			body.header-top header.header-top .header_bg{
				opacity: 0.' . $despero_header_bgcolor_opacity . ' ;
				background-color: ' . $despero_header_bgcolor . ';
			}
		';
	} else {
		$despero_headertop_bg = '
			body.header-top header.header-top .header_bg{
				height:300%;
				opacity:0.5;
				background: -moz-linear-gradient(top, rgba(24,24,24,1) 0%, rgba(24,24,24,0.01) 100%);
				background: -webkit-linear-gradient(top, rgba(24,24,24,1) 0%,rgba(24,24,24,0.01) 100%);
				background: linear-gradient(to bottom, rgba(24,24,24,1) 0%,rgba(24,24,24,0.01) 100%);
				filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="#181818", endColorstr="#00181818",GradientType=0 );
			}
			body.header-top.pagetitle_hide.header-fixed .header_bg {height:100%; background-color: ' . $despero_header_bgcolor . ';}
			body.single-product.header-top.pagetitle_hide .header_bg {height:auto; background-color: ' . $despero_header_bgcolor . ';}
			header.header-top .menu-primary-menu-container-wrap ul.nav-menu > li:hover > a,
			header.header-top .menu-primary-menu-container-wrap ul.nav-menu > li.current_page_item > a,
			header.header-top .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-item > a{
				color: ' . $despero_headermenu_hover_color . ' !important;
			}
		';
	}
	
	// Breadcrumbs
	$despero_breadcrumbs_bgcolor 		= class_exists('ReduxFrameworkPlugin') ? despero_options('breadcrumbs_bgcolor') : '#f2f2f2';
	$despero_breadcrumbs_color 			= class_exists('ReduxFrameworkPlugin') ? despero_options('breadcrumbs_color') : '#999999';
	
	
	// Page Title Background Stylings
	$despero_pagetitle_bg_styles = $despero_pagetitle_bg_image = $despero_pagetitle_bg_image_repeat = $despero_pagetitle_bg_color = $despero_pagetitle_bg_attachment = $despero_pagetitle_bg_position = $despero_pagetitle_bg_cover = $despero_pagetitle_text_color = $despero_post_single_style = '';
	$despero_pagetitle_bg_image = get_post_meta( $despero_postId, 'despero_pagetitle_bg_image', true );
	$despero_post_single_style = get_post_meta( $despero_postId, 'despero_post_single_style', true );

	if ( $despero_pagetitle_bg_image ) {
		if ( is_numeric( $despero_pagetitle_bg_image ) ) {
			$despero_pagetitle_bg_image = wp_get_attachment_image_src( $despero_pagetitle_bg_image, 'full' );
			$despero_pagetitle_bg_image = $despero_pagetitle_bg_image[0];
		}
	}

	$despero_pagetitle_bg_image_repeat 	= get_post_meta( $despero_postId, 'despero_pagetitle_bg_repeat', true );
	$despero_pagetitle_bg_color 		= get_post_meta( $despero_postId, 'despero_pagetitle_bg_color', true );
	$despero_pagetitle_bg_attachment 	= get_post_meta( $despero_postId, 'despero_pagetitle_bg_attachment', true );
	$despero_pagetitle_bg_position 		= get_post_meta( $despero_postId, 'despero_pagetitle_bg_position', true );
	$despero_pagetitle_bg_cover 		= get_post_meta( $despero_postId, 'despero_pagetitle_bg_full', true );
	$despero_pagetitle_text_color 		= get_post_meta( $despero_postId, 'despero_pagetitle_text_color', true );

	$despero_theme_pagetitle_bg_image = $despero_theme_pagetitle_bg_image_repeat = $despero_theme_pagetitle_bg_color = $despero_theme_pagetitle_bg_attachment = $despero_theme_pagetitle_bg_position = $despero_theme_pagetitle_bg_cover = $despero_theme_pagetitle_text_color = '';
	if( class_exists('ReduxFrameworkPlugin') ) {
		if( despero_options('pagetitle_bg_image', 'background-image') != '' ) {
			$despero_theme_pagetitle_bg_image = despero_options('pagetitle_bg_image', 'background-image');
		}
		if( despero_options('pagetitle_bg_image', 'background-repeat') != '' ) {
			$despero_theme_pagetitle_bg_image_repeat = despero_options('pagetitle_bg_image', 'background-repeat');
		}
		if( despero_options('pagetitle_bg_image', 'background-attachment') != '' ) {
			$despero_theme_pagetitle_bg_attachment = despero_options('pagetitle_bg_image', 'background-attachment');
		}
		if( despero_options('pagetitle_bg_image', 'background-position') != '' ) {
			$despero_theme_pagetitle_bg_position = despero_options('pagetitle_bg_image', 'background-position');
		}
		if( despero_options('pagetitle_bg_image', 'background-size') != '' ) {
			$despero_theme_pagetitle_bg_cover = despero_options('pagetitle_bg_image', 'background-size');
		}
		if( despero_options('pagetitle_text_color') != '' ) {
			$despero_theme_pagetitle_text_color = despero_options('pagetitle_text_color');
		}
	}
	if( class_exists('ReduxFrameworkPlugin') && despero_options('pagetitle_bg_image', 'background-color') != '' ) {
		$despero_theme_pagetitle_bg_color = despero_options('pagetitle_bg_image', 'background-color');
	}

	//	If Blog
	if ( ( is_home() || is_singular('post') || is_category() || is_tag() || is_search() || is_day() || is_month() || is_year() ) && class_exists('ReduxFrameworkPlugin') ) {
		if( despero_options('blog_pagetitle_bg_image', 'background-image') != '' ) {
			$despero_theme_pagetitle_bg_image = despero_options('blog_pagetitle_bg_image', 'background-image');
		}
		if( despero_options('blog_pagetitle_bg_image', 'background-repeat') != '' ) {
			$despero_theme_pagetitle_bg_image_repeat = despero_options('blog_pagetitle_bg_image', 'background-repeat');
		}
		if( despero_options('blog_pagetitle_bg_image', 'background-attachment') != '' ) {
			$despero_theme_pagetitle_bg_attachment = despero_options('blog_pagetitle_bg_image', 'background-attachment');
		}
		if( despero_options('blog_pagetitle_bg_image', 'background-position') != '' ) {
			$despero_theme_pagetitle_bg_position = despero_options('blog_pagetitle_bg_image', 'background-position');
		}
		if( despero_options('blog_pagetitle_bg_image', 'background-size') != '' ) {
			$despero_theme_pagetitle_bg_cover = despero_options('blog_pagetitle_bg_image', 'background-size');
		}
		if( despero_options('pagetitle_text_color') != '' ) {
			$despero_theme_pagetitle_text_color = despero_options('pagetitle_text_color');
		}
	} else if ( is_singular('portfolio') && class_exists('ReduxFrameworkPlugin') ) {
		if( despero_options('portfolio_single_pagetitle_bg_image', 'background-image') != '' ) {
			$despero_theme_pagetitle_bg_image = despero_options('portfolio_single_pagetitle_bg_image', 'background-image');
		}
		if( despero_options('portfolio_single_pagetitle_bg_image', 'background-repeat') != '' ) {
			$despero_theme_pagetitle_bg_image_repeat = despero_options('portfolio_single_pagetitle_bg_image', 'background-repeat');
		}
		if( despero_options('portfolio_single_pagetitle_bg_image', 'background-attachment') != '' ) {
			$despero_theme_pagetitle_bg_attachment = despero_options('portfolio_single_pagetitle_bg_image', 'background-attachment');
		}
		if( despero_options('portfolio_single_pagetitle_bg_image', 'background-position') != '' ) {
			$despero_theme_pagetitle_bg_position = despero_options('portfolio_single_pagetitle_bg_image', 'background-position');
		}
		if( despero_options('portfolio_single_pagetitle_bg_image', 'background-size') != '' ) {
			$despero_theme_pagetitle_bg_cover = despero_options('portfolio_single_pagetitle_bg_image', 'background-size');
		}
		if( despero_options('portfolio_single_pagetitle_text_color') != '' ) {
			$despero_theme_pagetitle_text_color = despero_options('portfolio_single_pagetitle_text_color');
		}
	}
	if( ( is_home() || is_singular('post') || is_category() || is_tag() || is_search() || is_day() || is_month() || is_year() ) && despero_options('blog_pagetitle_bg_image', 'background-color') != '' ) {
		$despero_theme_pagetitle_bg_color = despero_options('blog_pagetitle_bg_image', 'background-color');
	}

	$despero_pagetitle_bg_image 			= ! empty( $despero_pagetitle_bg_image ) ? $despero_pagetitle_bg_image : $despero_theme_pagetitle_bg_image;
	$despero_pagetitle_bg_color 			= ! empty( $despero_pagetitle_bg_color ) ? $despero_pagetitle_bg_color : $despero_theme_pagetitle_bg_color;
	$despero_pagetitle_bg_image_repeat 		= ! empty( $despero_pagetitle_bg_image_repeat ) ? $despero_pagetitle_bg_image_repeat : $despero_theme_pagetitle_bg_image_repeat;
	$despero_pagetitle_bg_attachment 		= ! empty( $despero_pagetitle_bg_attachment ) ? $despero_pagetitle_bg_attachment : $despero_theme_pagetitle_bg_attachment;
	$despero_pagetitle_bg_position 			= ! empty( $despero_pagetitle_bg_position ) ? $despero_pagetitle_bg_position : $despero_theme_pagetitle_bg_position;
	$despero_pagetitle_bg_cover 			= ! empty( $despero_pagetitle_bg_cover ) ? $despero_pagetitle_bg_cover : $despero_theme_pagetitle_bg_cover;
	$despero_pagetitle_text_color 			= ! empty( $despero_pagetitle_text_color ) ? $despero_pagetitle_text_color : $despero_theme_pagetitle_text_color;

	if( isset( $despero_pagetitle_bg_image ) && $despero_pagetitle_bg_image != '' ) {
		$despero_pagetitle_bg_styles .= 'background-image: url('. $despero_pagetitle_bg_image .');';
		if( isset( $despero_pagetitle_bg_image_repeat ) && $despero_pagetitle_bg_image_repeat != '' ) {
			$despero_pagetitle_bg_styles .= 'background-repeat: '. $despero_pagetitle_bg_image_repeat .';';
		}
		if( isset( $despero_pagetitle_bg_attachment ) && $despero_pagetitle_bg_attachment != '' ) {
			$despero_pagetitle_bg_styles .= 'background-attachment: '. $despero_pagetitle_bg_attachment .';';
		}
		if( isset( $despero_pagetitle_bg_position ) && $despero_pagetitle_bg_position != '' ) {
			$despero_pagetitle_bg_styles .= 'background-position: '. $despero_pagetitle_bg_position .';';
		}
		if( isset( $despero_pagetitle_bg_cover ) && $despero_pagetitle_bg_cover != '' ) {
			$despero_pagetitle_bg_styles .= 'background-size: '. $despero_pagetitle_bg_cover .';';
			$despero_pagetitle_bg_styles .= '-moz-background-size: '. $despero_pagetitle_bg_cover .';';
			$despero_pagetitle_bg_styles .= '-webkit-background-size: '. $despero_pagetitle_bg_cover .';';
			$despero_pagetitle_bg_styles .= '-o-background-size: '. $despero_pagetitle_bg_cover .';';
			$despero_pagetitle_bg_styles .= '-ms-background-size: '. $despero_pagetitle_bg_cover .';';
		}
	}

	if( isset( $despero_pagetitle_bg_color ) && $despero_pagetitle_bg_color != '' ) {
		$despero_pagetitle_bg_styles .= 'background-color: '. $despero_pagetitle_bg_color .';';
	}

	if( isset( $despero_pagetitle_text_color ) && $despero_pagetitle_text_color != '' ) {
		$despero_pagetitle_bg_styles .= 'color: '. $despero_pagetitle_text_color .';';
	}
	
	if ( is_singular('post') && $despero_post_single_style == 'fullscreen' ) {
		$despero_featured_image_url = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
		$despero_pagetitle_bg_styles .= 'background-image: url('. $despero_featured_image_url .');';
	}
	
	
	//	Page 404
	$despero_page404_bg_styles = '';
	if ( is_404() ) {

		$despero_page404_bg_image = $despero_page404_bg_image_repeat = $despero_page404_bg_color = $despero_page404_bg_attachment = $despero_page404_bg_position = $despero_page404_bg_cover = '';
		if( class_exists('ReduxFrameworkPlugin') ) {
			if( despero_options('page404_bg_image', 'background-image') != '' ) {
				$despero_page404_bg_image = despero_options('page404_bg_image', 'background-image');
			}
			if( despero_options('page404_bg_image', 'background-repeat') != '' ) {
				$despero_page404_bg_image_repeat = despero_options('page404_bg_image', 'background-repeat');
			}
			if( despero_options('page404_bg_image', 'background-attachment') != '' ) {
				$despero_page404_bg_attachment = despero_options('page404_bg_image', 'background-attachment');
			}
			if( despero_options('page404_bg_image', 'background-position') != '' ) {
				$despero_page404_bg_position = despero_options('page404_bg_image', 'background-position');
			}
			if( despero_options('page404_bg_image', 'background-size') != '' ) {
				$despero_page404_bg_cover = despero_options('page404_bg_image', 'background-size');
			}

			if( despero_options('page404_bg_image', 'background-color') != '' ) {
				$despero_page404_bg_color = despero_options('page404_bg_image', 'background-color');
			}
		}

		if( isset( $despero_page404_bg_image ) && $despero_page404_bg_image != '' ) {
			$despero_page404_bg_styles .= 'background-image: url('. $despero_page404_bg_image .');';
			if( isset( $despero_page404_bg_image_repeat ) && $despero_page404_bg_image_repeat != '' ) {
				$despero_page404_bg_styles .= 'background-repeat: '. $despero_page404_bg_image_repeat .';';
			}
			if( isset( $despero_page404_bg_attachment ) && $despero_page404_bg_attachment != '' ) {
				$despero_page404_bg_styles .= 'background-attachment: '. $despero_page404_bg_attachment .';';
			}
			if( isset( $despero_page404_bg_position ) && $despero_page404_bg_position != '' ) {
				$despero_page404_bg_styles .= 'background-position: '. $despero_page404_bg_position .';';
			}
			if( isset( $despero_page404_bg_cover ) && $despero_page404_bg_cover != '' ) {
				$despero_page404_bg_styles .= 'background-size: '. $despero_page404_bg_cover .';';
				$despero_page404_bg_styles .= '-moz-background-size: '. $despero_page404_bg_cover .';';
				$despero_page404_bg_styles .= '-webkit-background-size: '. $despero_page404_bg_cover .';';
				$despero_page404_bg_styles .= '-o-background-size: '. $despero_page404_bg_cover .';';
				$despero_page404_bg_styles .= '-ms-background-size: '. $despero_page404_bg_cover .';';
			}
		}

		if( isset( $despero_page404_bg_color ) && $despero_page404_bg_color != '' ) {
			$despero_page404_bg_styles .= 'background-color: '. $despero_page404_bg_color .';';
		}
	}
	
	
	/* Custom CSS from Theme Options */
	$despero_options_custom_css = class_exists('ReduxFrameworkPlugin') ? despero_options('custom_css') : '';
	
	
	$despero_inline_custom_css = "
	
	body{
		font-family: $despero_body_font_family ;
		text-transform: $despero_body_font_transform ;
		font-weight: $despero_body_font_weight ;
		line-height: $despero_body_font_height ;
		font-size: $despero_body_font_size ;
		color: $despero_body_font_color ;
		letter-spacing: $despero_body_font_spacing ;
	}
	body.boxed {  }
	body.boxed{
		padding-top: $despero_theme_boxed_margin px;
		padding-bottom: $despero_theme_boxed_margin px;
		$despero_page_bg_styles
	}
	body.boxed footer.fixed.active{
		bottom: $despero_theme_boxed_margin px;
	}
	
	
	/* header */
	$despero_headertop_bg
	
	.header_wrap .menu_creative_btn span{
		background-color: $despero_headermenu_font_color !important;
	}
	.header_wrap .menu_creative_btn:hover span{ background-color: $despero_headermenu_hover_color !important; }
	.header_search_icon{ color: $despero_headermenu_font_color !important; }
	.header_search_icon:hover{ color: $despero_headermenu_hover_color !important; }
	.menu_creative_btn span{ background-color: $despero_header_color ; }
	.header_tagline:before{ background-color: $despero_header_color ; }
	.tagline_text_wrap a{ color: $despero_header_color !important; }
	.tagline_text_wrap a:hover i{ color: $despero_theme_color ; }
	header.header-top .social_links_wrap .social_link{ color: $despero_header_color !important; }
	.despero-logo h1 a{ color: $despero_header_color !important; }
	body.header-fixed header.header-top .header_wrap{ background-color: $despero_header_bgcolor ; }
	#page-wrap > header#header_mobile_wrap{ background-color: $despero_header_bgcolor ; }

	header.header-top .menu-primary-menu-container-wrap > div > ul > li > a,
	.menu_creative_block .menu-primary-menu-container-wrap > div > ul > li > a{
		font-family: $despero_headermenu_font_family ;
		text-transform: $despero_headermenu_font_transform ;
		font-weight: $despero_headermenu_font_weight ;
		line-height: $despero_headermenu_font_height ;
		font-size: $despero_headermenu_font_size ;
		color: $despero_headermenu_font_color ;
		letter-spacing: $despero_headermenu_font_spacing ;
	}
	header.header-top .menu-primary-menu-container-wrap .sub-menu li.menu-item a,
	.menu_creative_block li li a{
		font-family: $despero_headersubmenu_font_family ;
		text-transform: $despero_headersubmenu_font_transform ;
		font-weight: $despero_headersubmenu_font_weight ;
		line-height: $despero_headersubmenu_font_height;
		font-size: $despero_headersubmenu_font_size ;
		color: $despero_headersubmenu_font_color ;
		letter-spacing: $despero_headersubmenu_font_spacing ;
	}
	
	
	/* Menu */
	header.header-top .menu-primary-menu-container-wrap .sub-menu,
	header.header-top .menu-primary-menu-container-wrap .sub-menu .sub-menu{
		border-color: $despero_theme_color ;
		background-color: $despero_headersubmenu_bgcolor ;
	}
	header.header-top .menu-primary-menu-container-wrap > div > ul > li > a:hover,
	header.header-top .menu-primary-menu-container-wrap ul li.current_page_item > a,
	header.header-top .menu-primary-menu-container-wrap ul li.current-menu-item > a,
	header.header-top .menu-primary-menu-container-wrap li.current-menu-parent > a,
	header.header-top .menu-primary-menu-container-wrap li.current-menu-ancestor > a{
		color: $despero_headermenu_hover_color ;
	}
	#header_mobile_wrap .menu-primary-menu-container-wrap li a:hover,
	#header_mobile_wrap .menu-primary-menu-container-wrap ul li.current_page_item > a,
	#header_mobile_wrap .menu-primary-menu-container-wrap ul li.current-menu-item > a,
	#header_mobile_wrap .menu-primary-menu-container-wrap li.current-menu-parent > a,
	#header_mobile_wrap .menu-primary-menu-container-wrap li.current-menu-ancestor > a{
		color: $despero_theme_color ;
	}
	header.header-top .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-ancestor.menu-item > a{
		color: $despero_theme_color !important;
	}
	header.header-top .menu-primary-menu-container-wrap .sub-menu li a:after{
		color: $despero_headersubmenu_font_color ;
	}
	header.header-top .menu-primary-menu-container-wrap .sub-menu li.menu-item a:hover,
	header.header-top .menu-primary-menu-container-wrap .sub-menu li.current-menu-parent a,
	header.header-top .menu-primary-menu-container-wrap .sub-menu li.current_page_item a,
	header.header-top .menu-primary-menu-container-wrap .sub-menu .sub-menu li.menu-item a:hover,
	header.header-top .menu-primary-menu-container-wrap .sub-menu .sub-menu li.current-menu-parent a,
	header.header-top .menu-primary-menu-container-wrap .sub-menu .sub-menu li.current_page_item a{
		background-color: $despero_headersubmenu_hover_bgcolor ;
	}

	
	/* Mobile Menu */
	#header_mobile_wrap ul.nav-menu li a{
		color: $despero_headermenu_font_color ;
	}
	
	
	/* Page Title Background Stylings */
	#pagetitle { $despero_pagetitle_bg_styles }
	#pagetitle h2, #pagetitle a, #pagetitle p { color: $despero_pagetitle_text_color ; }
	

	/* Page 404 */
	#error404_container { $despero_page404_bg_styles }
	

	/* Breadcrumbs */
	#breadcrumbs{ background-color: $despero_breadcrumbs_bgcolor ; }
	#breadcrumbs a, #breadcrumbs span{ color: $despero_breadcrumbs_color ; }
	#breadcrumbs a:hover{ color: $despero_theme_color ; }
	
	/* Footer */
	footer #prefooter_area{ color: $despero_prefooter_color ; background-color: $despero_prefooter_bgcolor ; }
	footer #prefooter_area a{ color: $despero_prefooter_color ; }
	footer #prefooter_area a:hover{ color: $despero_theme_color ; }
	footer #prefooter_area .cstheme_widget_sociallinks .social_link{ color: $despero_prefooter_bgcolor ; }
	footer #footer_bottom{ color: $despero_footer_color ; background-color: $despero_footer_bgcolor ; }
	footer #footer_bottom .social_links_wrap .social_link{ color: $despero_footer_color !important; }
	footer #footer_bottom .social_links_wrap .social_link:hover{ color: $despero_theme_color !important; }
	footer .widget-title{
		font-family: $despero_prefooter_headings_family ;
		text-transform: $despero_prefooter_headings_transform ;
		font-weight: $despero_prefooter_headings_weight ;
		line-height: $despero_prefooter_headings_height ;
		font-size: $despero_prefooter_headings_size ;
		color: $despero_prefooter_headings_color ;
		letter-spacing: $despero_prefooter_headings_spacing ;
	}
	
	
	/* Shortcodes */
	.btn:hover,
	.btn-default:hover{
		border-color: $despero_theme_color ;
	}
	.btn:focus,
	.btn-default.active,
	.btn-default.active:hover,
	.btn-default.focus,
	.btn-default:active,
	.btn-default:focus,
	.btn-primary,
	.btn.btn-primary,
	.btn-primary.active,
	.btn-primary.focus,
	.btn-primary:active,
	.btn-primary:focus{
		border-color: $despero_theme_color ;
		background: $despero_theme_color ;
	}
	
	blockquote:before, blockquote cite:before, blockquote small:before{ background-color: $despero_theme_color ; }
	blockquote cite, blockquote small, blockquote:after{ color: $despero_theme_color ; }
	
	/* Custom Colors */
	a:hover, a:focus{ color: $despero_theme_color ; }
	.single-post-content p a, .contentarea p a{ color: $despero_theme_color ; }
	::selection{ background: $despero_theme_color ; color:#fff; }
	::-moz-selection{ background: $despero_theme_color ; color:#fff; }
	.theme_color{ color: $despero_theme_color ; }
	.bg_primary{ background-color: $despero_theme_color ; }
	button:hover, input[type='button'], input[type='reset'], input[type='submit']:hover{ background-color: $despero_theme_color ; }
	input[type='text']:focus, input[type='email']:focus, input[type='url']:focus, input[type='password']:focus, input[type='search']:focus, textarea:focus, .wpcf7-form input:focus, .wpcf7-form textarea:focus{ color:#333; border-color: $despero_theme_color !important; background-color:#fff; }
	#blog-single-wrap.fullscreen .form_field:focus{ color:#333; border-color: $despero_theme_color ; background-color:#fff; }
	#loader .bar{ background-color: $despero_theme_color ; }
	.header_search i.fa-search:hover{ color: $despero_theme_color ; }
	.menu_creative_btn:hover span{ background-color: $despero_theme_color ; }
	.widget_meta li a:hover, .widget_archive li a:hover, .widget_categories li a:hover, .widget_product_categories li a:hover, .widget_text ul li a:hover, .widget_pages ul li a:hover, .widget_nav_menu ul li a:hover{ color: $despero_theme_color ; }
	.single_post_meta_tags a:hover, .tagcloud a:hover{ border-color: $despero_theme_color ; }
	.cstheme_widget_sociallinks .social_link:hover{ background-color: $despero_theme_color ; }
	#blog-single-wrap .sharebox .social_link:hover{ background-color: $despero_theme_color ; }
	.eva-pagination .page-numbers:hover{ border-color: $despero_theme_color ; }
	.eva-pagination .page-numbers.current{ border-color: $despero_theme_color ; background-color: $despero_theme_color ; }
	.post_content_readmore:before{ background-color: $despero_theme_color ; }
	.owl-controls .owl-dot:hover, .owl-controls .owl-dot.active{ box-shadow: 0 0 0 10px $despero_theme_color inset; }
	.format-link .post_format_content .featured_img_bg:before{ background-color: $despero_theme_color ; }
	#related_posts_list .post-title:before{ background-color: $despero_theme_color ; }
	.commentlist .comment-meta .comment-reply-link i{ color: $despero_theme_color ; }
	.form_search_block input[type='text']{ border-color: $despero_theme_color !important; }
	.form_search_block i.fa.fa-search{ background-color: $despero_theme_color ; }
	.post-image .play_btn i{ background-color: $despero_theme_color ; }
	.portfolio_descr_wrap .portfolio_title:before{ background-color: $despero_theme_color ; }
	#portfolio_list.grid .portfolio_descr_wrap .portfolio_title a:hover{ color: $despero_theme_color ; }
	#portfolio_list.masonry .portfolio_format_content i:hover:before, #portfolio_list.masonry .portfolio_format_content i:hover:after{ background-color: $despero_theme_color ; }
	aside h4.widget-title:before{ background-color: $despero_theme_color ; }
	.cstheme_comment_count:hover i{ color: $despero_theme_color ; }
	.cstheme_widget_instagram li a i:hover:before, .cstheme_widget_instagram li a i:hover:after{ background-color: $despero_theme_color ; }
	#portfolio_list.masonry_card .portfolio_title:before, #portfolio_list.grid_card .portfolio_title:before{ background-color: $despero_theme_color ; }
	#portfolio_list.left_img .portfolio_meta_category:before, #portfolio_list.chess .portfolio_meta_category:before, #portfolio_list.carousel .portfolio_meta_category:before{ background-color: $despero_theme_color ; }
	#portfolio_list.chess .portfolio_content_wrapper .portfolio_descr_wrap:before{ background-color: $despero_theme_color ; }
	#portfolio_list.carousel .portfolio_title a:hover{ color: $despero_theme_color ; }
	.partner_wrap.with_descr .partner_descr h6:before{ background-color: $despero_theme_color ; }
	#blog_list.masonry_bg_img .post_format_content:before{ background-color: $despero_theme_color ; }
	#blog_list.grid_card .post-descr-wrap .post-title:before{ background-color: $despero_theme_color ; }
	#blog_list.grid_card_min .post-descr-wrap .post-meta i, #blog_list.masonry_card_min .post-descr-wrap .post-meta i{ color: $despero_theme_color ; }
	#portfolio_list.rounded .portfolio_descr_wrap:before{ background-color: $despero_theme_color ; }
	#portfolio_list.grid_bg_img .portfolio_content_wrapper .portfolio_format_content:before,
	#portfolio_list.masonry_bg_img .portfolio_content_wrapper .portfolio_format_content:before,
	#portfolio_list.rounded .portfolio_format_content:after,
	#portfolio_list.masonry_top_img .portfolio_format_content:before,
	#portfolio_list.grid_top_img .portfolio_format_content:before,
	#portfolio_list.left_img .portfolio_format_content:before,
	#portfolio_list.masonry_card .portfolio_format_content > a:before,
	#portfolio_list.grid_card .portfolio_format_content > a:before,
	#portfolio_list.chess .portfolio_format_content a:before,
	#portfolio_list.carousel .portfolio_format_content a:before{
		background-color: $despero_portfolio_overlay ;
	}
	#portfolio_list.grid_bg_img .portfolio_content_wrapper:hover .portfolio_format_content:before,
	#portfolio_list.masonry_bg_img .portfolio_content_wrapper:hover .portfolio_format_content:before,
	#portfolio_list.rounded .portfolio_format_content:hover:after,
	#portfolio_list.masonry_top_img .portfolio_content_wrapper:hover .portfolio_format_content:before,
	#portfolio_list.grid_top_img .portfolio_content_wrapper:hover .portfolio_format_content:before,
	#portfolio_list.left_img .portfolio_format_content:hover:before,
	#portfolio_list.masonry_card .portfolio_content_wrapper:hover .portfolio_format_content a:before,
	#portfolio_list.grid_card .portfolio_content_wrapper:hover .portfolio_format_content a:before,
	#portfolio_list.chess .portfolio_format_content:hover a:before,
	#portfolio_list.carousel .portfolio_content_wrapper:hover .portfolio_format_content a:before{
		opacity: 0.$despero_portfolio_overlay_opacity ;
	}
	.vc_tta-style-classic.vc_tta.vc_general .vc_tta-tabs-list .vc_tta-tab.vc_active > a{ border-top: 2px solid $despero_theme_color !important; }
	.vc_tta-style-classic.vc_tta.vc_general.vc_tta-o-no-fill .vc_tta-tabs-list .vc_tta-tab.vc_active > a{ border-bottom: 3px solid $despero_theme_color !important; }
	.vc_tta-style-classic.vc_tta.vc_general .vc_tta-tabs-list .vc_tta-tab.vc_active > a, .vc_tta-style-classic.vc_tta.vc_general .vc_tta-tabs-list .vc_tta-tab > a:hover{ color: $despero_theme_color !important; }
	.vc_tta-style-classic.vc_tta.vc_general.vc_tta-o-no-fill.vc_tta-shape-round .vc_tta-tabs-list .vc_tta-tab > a:hover{ border-color: $despero_theme_color !important; }
	.vc_tta-style-classic.vc_tta.vc_general.vc_tta-tabs-position-left .vc_tta-tabs-list .vc_tta-tab.vc_active > a{ border-left: 2px solid $despero_theme_color !important; }
	.vc_tta-color-white.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-title > a:hover, .vc_tta-color-white.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-title > a{ color: $despero_theme_color !important; }
	.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-heading{ border-left:2px solid $despero_theme_color !important; }
	.vc_tta.vc_tta-accordion .vc_active .vc_tta-controls-icon.vc_tta-controls-icon-plus{ background-color: $despero_theme_color !important; }
	.ult_design_5 .ult_pricing_table .ult_price_link .ult_price_action_button:hover{ background-color: $despero_theme_color !important; }
	.ult-team-member-wrap.ult-style-1 .ult-team-member-name-wrap .member-name-divider{ background-color: $despero_theme_color !important; }
	#blog_list.grid_card .post-descr-wrap .post-title:before, #blog_list.masonry_card .post-descr-wrap .post-title:before{ background-color: $despero_theme_color ; }
	#page-content .wpb_image_grid_uls.hover_style3 li a i{ background-color: $despero_theme_color ; }
	.ult-carousel-wrapper .slick-dots li.slick-active i{ color: $despero_theme_color !important; }
	#error404_container .btnback{ background-color: $despero_theme_color ; }
	.coming_soon_wrapper h6 a{ color: $despero_theme_color ; }
	.coming_soon_wrapper ul.countdown{ border-color: $despero_theme_color ; }
	.coming_soon_wrapper ul.countdown:before, .coming_soon_wrapper ul.countdown:after, .coming_soon_wrapper ul.countdown i:before, .coming_soon_wrapper ul.countdown i:after{ background-color: $despero_theme_color ; }
	#blog_list.frame_min .post-content-wrapper:hover{ box-shadow: 0 0 0 2px $despero_theme_color inset; }
	#blog_list.frame_min .post-content-wrapper:hover .post_bottom_inf .text-left, #blog_list.frame_min .post-content-wrapper:hover .post_bottom_inf .text-right, #blog_list.frame_min .post-content-wrapper:hover .cstheme_comment_count, #blog_list.frame_min .post-content-wrapper:hover .cstheme_comment_count i, #blog_list.frame_min .post-content-wrapper:hover .post_bottom_inf .text-left i{color: $despero_theme_color ;}
	#portfolio_single_wrap .sharebox .social_link:hover{ background-color: $despero_theme_color ; }
	.shop_wrap .sharebox .social_link:hover{ background-color: $despero_theme_color ; }
	.cstheme_contactform_type5 span.focus:before{ background-color: $despero_theme_color ; }
	.cstheme_contactform_type5 span input:focus, .cstheme_contactform_type5 textarea:focus{ color: $despero_theme_color ; }
	.cstheme_contactform_type6 span.focus:before{ background-color: $despero_theme_color ; opacity:0.1; }
	.cstheme_contactform_type6 span input:focus, .cstheme_contactform_type6 textarea:focus, .cstheme_contactform_type6 p.focus i.icon{ color: $despero_theme_color ; }
	.cstheme_contactform_type8 p.focus i.icon{ color: $despero_theme_color ; }
	.cstheme_contactform_type10 span.focus:before{ background-color: $despero_theme_color ; }
	.cstheme_contactform_type10 input:focus, .cstheme_contactform_type10 textarea:focus{border-color:#e4e4e4 !important; background-color:#f9f9f9 !important;}
	.cstheme_contactform_type4 span input:focus, .cstheme_contactform_type4 textarea:focus{ border-color:transparent !important; }
	.button_with_icon .play_btn i{ background-color: $despero_theme_color ; }
	.portfolio_single_nav a i.last{ color: $despero_theme_color ; }
	.portfolio_single_nav a.back-to-portfolio:hover{ color: $despero_theme_color ; }
	.filter_block li a{ color: $despero_portfolio_filter_color ; }
	.filter_block li a:after{ background-color: $despero_portfolio_filter_color ; }
	.filter_block li a:hover{ color: $despero_theme_color ; }
	#blog_list.frame_min .post-title:hover a{ color: $despero_theme_color !important; }
	#blog_list.bg_img_card .post-title:hover a, #blog_list.bg_img_card .format-quote h2.post-title:hover a{ color: $despero_theme_color ; }
	#blog_list.bg_img_card .post-content-quote-wrapper .overlay_border:before, #blog_list.bg_img_card .post-content-quote-wrapper .overlay_border:after{border-color: $despero_theme_color ;}
	#blog_list.bg_img_card .post-content-link-wrapper{background-color: $despero_theme_color ;}
	#blog_list.bg_img_card .post_meta_category{ background-color: $despero_theme_color ; }
	#blog_list.bg_img_card .read_more:before{ background-color: $despero_theme_color ; }
	#blog_list.bg_img_card .read_more:hover{ color: $despero_theme_color ; }
	.widget_categories .current-cat a{ color: $despero_theme_color ; }
	#blog_list.default article.post.sticky:before,
	#blog_list.grid_bg_img .post_content_readmore,
	form.wpcf7-form input[type='submit']{
		background-color: $despero_theme_color ;
	}
	.eva-pagination .page-numbers,
	.btn,
	.portfolio_single_det,
	.portfolio_single_nav div > div > a,
	.post_content_readmore,
	.btn,
	.button,
	input,
	textarea{
		font-family: $despero_heading_font_family ;
	}
	
	.mobile_menu_btn span{
		background-color: $despero_headermenu_font_color ;
	}
	
	/* MailChimp Plugin */
	.mc4wp-form .mc4wp_email_wrap.focus i{ color: $despero_theme_color ; }
	
	
	/* Custom CSS from Theme Options */
	$despero_options_custom_css
	
	";
	wp_add_inline_style( 'despero_inline_custom_style', $despero_inline_custom_css );
}
add_action( 'wp_enqueue_scripts', 'despero_custom_styles' );


/* Custom js */
function despero_custom_js() {
	
	global $despero_options;
	
	if( class_exists('ReduxFrameworkPlugin') && ( !empty( despero_options('custom-js') ) ) ) {
		echo despero_options('custom-js');
	}
}
add_action('wp_footer', 'despero_custom_js', 100);