<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $values
 * @var $units
 * @var $bgcolor
 * @var $custombgcolor
 * @var $customtxtcolor
 * @var $options
 * @var $el_class
 * @var $style
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Progress_Bar
 */
$title = $values = $units = $bgcolor = $css = $custombgcolor = $customtxtcolor = $options = $el_class = $style = '';
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
$atts = $this->convertAttributesToNewProgressBar( $atts );

extract( $atts );
wp_enqueue_script( 'waypoints' );

$el_class = $this->getExtraClass( $el_class );

$bar_options = array();
$options = explode( ',', $options );
if ( in_array( 'animated', $options ) ) {
	$bar_options[] = 'animated';
}
if ( in_array( 'striped', $options ) ) {
	$bar_options[] = 'striped';
}

if ( 'custom' === $bgcolor && '' !== $custombgcolor ) {
	$custombgcolor = vc_get_css_color( 'background-color', $custombgcolor );
	if ( '' !== $customtxtcolor ) {
		$customtxtcolor = vc_get_css_color( 'color', $customtxtcolor );
	}
	$bgcolor = '';
} else {
	$custombgcolor = '';
	$customtxtcolor = '';
	$bgcolor = 'vc_progress-bar-color-' . esc_attr( $bgcolor );
	$el_class .= ' ' . $bgcolor;
}

$class_to_filter = 'vc_progress_bar wpb_content_element';
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );

// custom style
switch( $style ) {
	case 'style1':
		$class_to_filter .= ' style1';
		break;
	case 'style2':
		$class_to_filter .= ' style2';
		break;
	case 'style3':
		$class_to_filter .= ' style3';
		break;
	case 'style4':
		$class_to_filter .= ' style4';
		break;
}

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$output = '<div class="' . esc_attr( $css_class ) . '">';

$output .= wpb_widget_title( array( 'title' => $title, 'extraclass' => 'wpb_progress_bar_heading' ) );

$values = (array) vc_param_group_parse_atts( $values );
$max_value = 0.0;
$graph_lines_data = array();
foreach ( $values as $data ) {
	$new_line = $data;
	$new_line['value'] = isset( $data['value'] ) ? $data['value'] : 0;
	$new_line['label'] = isset( $data['label'] ) ? $data['label'] : '';
	$new_line['bgcolor'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $custombgcolor;
	$new_line['bgcolor_for_text'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : 'color:#2d2f31;';
	$new_line['txtcolor'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $customtxtcolor;
	$new_line['bar_bg'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $customtxtcolor;
	if ( isset( $data['customcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
		$new_line['bgcolor'] = ' background-color: ' . esc_attr( $data['customcolor'] );
		$new_line['bgcolor_for_text'] = ' color: ' . esc_attr( $data['customcolor'] );
	}
	if ( isset( $data['customtxtcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
		$new_line['txtcolor'] = 'color: ' . esc_attr( $data['customtxtcolor'] );
		$new_line['bar_bg'] = 'background-color: ' . esc_attr( $data['customtxtcolor'] ) . ';';
	}

	if ( $max_value < (float) $new_line['value'] ) {
		$max_value = $new_line['value'];
	}
	$graph_lines_data[] = $new_line;
	
	$style_label_units = '';
	if ( $style == 'style1' ) {
		$style_label_units = ' style="background-' . $new_line['bar_bg'] . '"';
	} elseif ( $style == 'style2' ) {
		$style_label_units = ' style="' . $new_line['bar_bg'] . '"';
	} elseif ( $style == 'style3' ) {
		$style_label_units = ' style="' . $new_line['txtcolor'] . '"';
	} elseif ( $style == 'style4' ) {
		$style_label_units = ' style="' . $new_line['bgcolor_for_text'] . '"';
	}
}

foreach ( $graph_lines_data as $line ) {
	$unit = ( '' !== $units ) ? ' <span class="vc_label_units" ' . $style_label_units . '>' . $line['value'] . $units . '</span>' : '';
	$output .= '<div class="vc_single_bar_wrap">';
	$output .= '<small class="vc_label" style="' . $line['txtcolor'] . '">' . $line['label'] . '</small>';
	$output .= '<div class="vc_general vc_single_bar' . ( ( isset( $line['color'] ) && 'custom' !== $line['color'] ) ?
			' vc_progress-bar-color-' . $line['color'] : '' )
		. '">';
	if ( $max_value > 100.00 ) {
		$percentage_value = (float) $line['value'] > 0 && $max_value > 100.00 ? round( (float) $line['value'] / $max_value * 100, 4 ) : 0;
	} else {
		$percentage_value = $line['value'];
	}
	$output .= '<span class="vc_bar ' . esc_attr( implode( ' ', $bar_options ) ) . '" data-percentage-value="' . esc_attr( $percentage_value ) . '" data-value="' . esc_attr( $line['value'] ) . '" style="' . $line['bgcolor'] . '">';
		if ( $style != 'style4' ) {
			$output .= $unit;
		}
	$output .= '</span>';
	$output .= '</div>';
	if ( $style == 'style4' ) {
		$output .= $unit;
	}
	if ( $style == 'style1' ) {
		$output .= '<style>.vc_progress_bar.style1 .vc_single_bar .vc_label_units:before{background-' . $line['bar_bg'] . '}</style>';
	}
	$output .= '</div>';
}

$output .= '</div>';

echo ' ' . $output;
