<?php

/**
 * Register sidebars
 */
function despero_widgets_init() {
	
	//	Blog Sidebar
	register_sidebar( array(
		'name'          	=> esc_html__( 'Blog Sidebar', 'despero' ),
		'id'            	=> 'blog-sidebar',
		'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  	=> '</aside>',
		'before_title'  	=> '<h4 class="widget-title">',
		'after_title'   	=> '</h4>',
	) );
	
	//	Prefooter Area
	$despero_widgets_grid = class_exists( 'ReduxFrameworkPlugin' ) ? despero_options('prefooter_col') : '4-4-4';
	$i = 1;
	
	foreach ( explode('-', $despero_widgets_grid ) as $despero_widgets_g ) {
		register_sidebar( array(
			'name' 				=> esc_html__('Prefooter Area ', 'despero') . $i,
			'id' 				=> "footer-area-$i",
			'description' 		=> esc_html__('The prefooter area widgets', 'despero'),
			'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
			'after_widget' 		=> '</aside>',
			'before_title' 		=> '<h4 class="widget-title">',
			'after_title'   	=> '</h4>',
		) );

		$i++;
	}
	
	//	Shop Sidebar
	if( despero_woo_enabled() ) {
		register_sidebar( array(
			'name'          	=> esc_html__( 'Shop Sidebar', 'despero' ),
			'id'            	=> 'shop-sidebar',
			'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  	=> '</aside>',
			'before_title'  	=> '<h4 class="widget-title">',
			'after_title'   	=> '</h4>',
		) );
	}
	
	if ( class_exists( 'ReduxFrameworkPlugin' ) && ! empty( despero_options( 'unlimited_sidebar' ) ) ) {	
		if( sizeof( despero_options( 'unlimited_sidebar' ) ) > 0 ) {
			foreach( despero_options( 'unlimited_sidebar' ) as $despero_sidebar ) {
				if ( isset( $despero_sidebar ) && ! empty( $despero_sidebar ) ) {
					register_sidebar( array(
						'name' 				=> $despero_sidebar,
						'id' 				=> despero_generateSlug( $despero_sidebar, 45 ),
						'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
						'after_widget' 		=> '</aside>',
						'before_title' 		=> '<h4 class="widget-title">',
						'after_title'   	=> '</h4>',
					));
				}
			}
		}
	}
	
}
add_action( 'widgets_init', 'despero_widgets_init' );


/**
 * Unlimited Sidebars
 */

function despero_generateSlug($phrase, $maxLength) {
    $result = strtolower($phrase);
    $result = preg_replace("/[^a-z0-9\s-]/", "", $result);
    $result = trim(preg_replace("/[\s-]+/", " ", $result));
    $result = trim(substr($result, 0, $maxLength));
    $result = preg_replace("/\s/", "-", $result);
    return $result;
}