<?php
/**
 * Template Name: Page - Coming Soon
 */

get_header('comingsoon');

global $post;

$despero_custom_divider 			= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url') : '';
$despero_custom_divider_width 		= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '48';
$despero_comings_soon_years 		= get_post_meta( $post->ID, 'despero_comings_soon_years', true );
$despero_comings_soon_months 		= get_post_meta( $post->ID, 'despero_comings_soon_months', true );
$despero_comings_soon_days 			= get_post_meta( $post->ID, 'despero_comings_soon_days', true );
$despero_coming_soon_subtitle 		= get_post_meta( $post->ID, 'despero_coming_soon_subtitle', true );
$despero_coming_soon_title 			= get_post_meta( $post->ID, 'despero_coming_soon_title', true );
$despero_coming_soon_descr 			= get_post_meta( $post->ID, 'despero_coming_soon_descr', true );
$despero_coming_soon_email 			= get_post_meta( $post->ID, 'despero_coming_soon_email', true );

$despero_coming_soon_bg_styles = $despero_coming_soon_bg_image = $despero_coming_soon_bg_image_repeat = $despero_coming_soon_bg_color = $despero_coming_soon_bg_attachment = $despero_coming_soon_bg_position = $despero_coming_soon_bg_cover = $despero_coming_soon_text_color = '';
$despero_coming_soon_bg_image 	= get_post_meta( $post->ID, 'despero_coming_soon_bg_image', true );

if ( $despero_coming_soon_bg_image ) {
	if ( is_numeric( $despero_coming_soon_bg_image ) ) {
		$despero_coming_soon_bg_image = wp_get_attachment_image_src( $despero_coming_soon_bg_image, 'full' );
		$despero_coming_soon_bg_image = $despero_coming_soon_bg_image[0];
	}
}

$despero_coming_soon_bg_image_repeat 	= get_post_meta( $post->ID, 'despero_coming_soon_bg_repeat', true );
$despero_coming_soon_bg_color 			= get_post_meta( $post->ID, 'despero_coming_soon_bg_color', true );
$despero_coming_soon_bg_attachment 		= get_post_meta( $post->ID, 'despero_coming_soon_bg_attachment', true );
$despero_coming_soon_bg_position 		= get_post_meta( $post->ID, 'despero_coming_soon_bg_position', true );
$despero_coming_soon_bg_cover 			= get_post_meta( $post->ID, 'despero_coming_soon_bg_full', true );

if( isset( $despero_coming_soon_bg_image ) && $despero_coming_soon_bg_image != '' ) {
	$despero_coming_soon_bg_styles .= 'background-image: url('. $despero_coming_soon_bg_image .');';
	if( isset( $despero_coming_soon_bg_image_repeat ) && $despero_coming_soon_bg_image_repeat != '' ) {
		$despero_coming_soon_bg_styles .= 'background-repeat: '. $despero_coming_soon_bg_image_repeat .';';
	}
	if( isset( $despero_coming_soon_bg_attachment ) && $despero_coming_soon_bg_attachment != '' ) {
		$despero_coming_soon_bg_styles .= 'background-attachment: '. $despero_coming_soon_bg_attachment .';';
	}
	if( isset( $despero_coming_soon_bg_position ) && $despero_coming_soon_bg_position != '' ) {
		$despero_coming_soon_bg_styles .= 'background-position: '. $despero_coming_soon_bg_position .';';
	}
	if( isset( $despero_coming_soon_bg_cover ) && $despero_coming_soon_bg_cover != '' ) {
		$despero_coming_soon_bg_styles .= 'background-size: '. $despero_coming_soon_bg_cover .';';
		$despero_coming_soon_bg_styles .= '-moz-background-size: '. $despero_coming_soon_bg_cover .';';
		$despero_coming_soon_bg_styles .= '-webkit-background-size: '. $despero_coming_soon_bg_cover .';';
		$despero_coming_soon_bg_styles .= '-o-background-size: '. $despero_coming_soon_bg_cover .';';
		$despero_coming_soon_bg_styles .= '-ms-background-size: '. $despero_coming_soon_bg_cover .';';
	}
}

if( isset( $despero_coming_soon_bg_color ) && $despero_coming_soon_bg_color != '' ) {
	$despero_coming_soon_bg_styles .= 'background-color: '. $despero_coming_soon_bg_color .';';
}
?>
		
		<div class="coming_soon_wrapper text-center" <?php if( $despero_coming_soon_bg_styles ) { ?> style="<?php echo esc_html( $macphotographer_comingsoon_bg_styles ); ?>" <?php } ?>>
			<div class="container">
				<div class="text-center">
					<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
						<div class="divider_active">
							<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
								<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
							<?php } else { ?>
								<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
							<?php } ?>
						</div>
					<?php } ?>
					<h4><?php echo esc_html( $despero_coming_soon_subtitle ); ?></h4>
					<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
						<div class="divider_active">
							<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
								<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
							<?php } else { ?>
								<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
							<?php } ?>
						</div>
					<?php } ?>
				</div>
				<h1><?php echo esc_html( $despero_coming_soon_title ); ?></h1>
				<h6><?php echo esc_html( $despero_coming_soon_descr ) . ' <a href="mailto:' . esc_html( $despero_coming_soon_email ) . '">' . esc_html( $despero_coming_soon_email ) . '</a>'; ?></h6>
				
				<!-- COUNTDOWN -->
				<ul class="countdown">
					<i></i>
					<li>
						<span class="days">00</span>
						<p class="days_ref"><?php echo esc_attr__('days', 'despero'); ?></p>
					</li>
					<li>
						<span class="hours">00</span>
						<p class="hours_ref"><?php echo esc_attr__('hours', 'despero'); ?></p>
					</li>
					<li>
						<span class="minutes">00</span>
						<p class="minutes_ref"><?php echo esc_attr__('minutes', 'despero'); ?></p>
					</li>
					<li>
						<span class="seconds">00</span>
						<p class="seconds_ref"><?php echo esc_attr__('seconds', 'despero'); ?></p>
					</li>
				</ul><!-- //COUNTDOWN -->
			</div>
		</div>

<?php get_footer('comingsoon'); ?>