<?php
/**
 * The template for displaying all single portfolio posts and attachments
 */

get_header();
the_post();

global $post;

$despero_pf = get_post_format();
if (empty($despero_pf)) $despero_pf = "standard";

$despero_portfolio_single_layout 			= get_post_meta( $post->ID, 'despero_portfolio_single_layout', true );
$despero_portfolio_single_client 			= get_post_meta( $post->ID, 'despero_portfolio_single_client', true );
$despero_portfolio_single_add_field_title 	= get_post_meta( $post->ID, 'despero_portfolio_single_add_field_title', true );
$despero_portfolio_single_add_field 		= get_post_meta( $post->ID, 'despero_portfolio_single_add_field', true );
$despero_portfolio_single_add_field_title2 	= get_post_meta( $post->ID, 'despero_portfolio_single_add_field_title2', true );
$despero_portfolio_single_add_field2 		= get_post_meta( $post->ID, 'despero_portfolio_single_add_field2', true );
$despero_portfolio_single_add_field_title3 	= get_post_meta( $post->ID, 'despero_portfolio_single_add_field_title3', true );
$despero_portfolio_single_add_field3 		= get_post_meta( $post->ID, 'despero_portfolio_single_add_field3', true );
$despero_portfolio_single_link 				= get_post_meta( $post->ID, 'despero_portfolio_single_link', true );
$despero_portfolio_single_link_name 		= get_post_meta( $post->ID, 'despero_portfolio_single_link_name', true );

// Categories
$despero_portfolio_category 				= get_the_term_list($post->ID, 'portfolio_category', '', ', ', '');

/* ADD 1 view for this post */
$despero_post_views 						= (get_post_meta(get_the_ID(), "post_views", true) > 0 ? get_post_meta(get_the_ID(), "post_views", true) : "0");
update_post_meta( get_the_ID(), "post_views", (int)$despero_post_views + 1 );

$despero_portfolio_single_sharebox 			= class_exists('ReduxFrameworkPlugin') ? despero_options('portfolio_single_sharebox') : '1';
$despero_portfolio_single_navigation 		= class_exists('ReduxFrameworkPlugin') ? despero_options('portfolio_single_navigation') : '1';

$despero_custom_divider 					= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url') : '';
$despero_custom_divider_width 				= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '48';
?>
		
		<div class="container">
			<div id="portfolio_single_wrap" class="<?php echo 'format-' . esc_html( $despero_pf ) . ' ' . esc_html( $despero_portfolio_single_layout ); ?> clearfix mb50">
				<div class="row">
					
					<?php if( $despero_portfolio_single_layout == 'full_width' ) { ?>
						
						<div class="col-md-12">
							<div class="row">
								<div class="col-lg-8 col-md-7">
									<div class="portfolio_single_content clearfix">
										<div class="portfolio_single_title_wrap">
											<h3 class="portfolio_single_title"><?php the_title(); ?></h3>
											<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
												<div class="divider_active">
													<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
														<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
													<?php } else { ?>
														<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
													<?php } ?>
												</div>
											<?php } ?>
											<div class="post_likes"><?php echo despero_likes(); ?></div>
										</div>
										<?php
											the_content(esc_html__('Read more!', 'despero'));
											wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'despero') . ': ', 'after' => '</div>'));
										?>
									</div>
								</div>
								<div class="col-lg-4 col-md-5">
									<div class="portfolio_single_details_wrap">
										<?php if( isset( $despero_portfolio_single_client ) && $despero_portfolio_single_client != '' ) { ?>
											<div class="portfolio_single_det">
												<p><i><strong><?php esc_html_e('Client', 'despero') ?></strong></i>
												<span class="portfolio-client">
													<?php echo esc_attr( $despero_portfolio_single_client ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( !empty( $despero_portfolio_category ) ) { ?>
											<div class="portfolio_single_det">
												<p><i><strong><?php esc_html_e('Category', 'despero') ?></strong></i>
												<span class="portfolio-category">
													<?php echo strip_tags($despero_portfolio_category) ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if(get_the_term_list($post->ID, 'portfolio_tag', '', ',', '')) { ?>
											<div class="portfolio_single_det">
												<p><i><strong><?php esc_html_e('Tags', 'despero') ?></strong></i>
												<span class="portfolio-tag">
													<?php echo get_the_term_list($post->ID, 'portfolio_tag', '', ', ', ''); ?>
												</span></p>
											</div>
										<?php } ?>
										<div class="portfolio_single_det">
											<p><i><strong><?php esc_html_e('Date', 'despero') ?></strong></i>
											<span class="portfolio-date">
												<?php the_date('j F Y'); ?>
											</span></p>
										</div>
										<?php if( isset( $despero_portfolio_single_add_field_title ) && $despero_portfolio_single_add_field_title != '' ) { ?>
											<div class="portfolio_single_det">
												<p><i><strong><?php echo esc_attr( $despero_portfolio_single_add_field_title ); ?></strong></i>
												<span class="portfolio-add_field">
													<?php echo esc_attr( $despero_portfolio_single_add_field ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( isset( $despero_portfolio_single_add_field_title2 ) && $despero_portfolio_single_add_field_title2 != '' ) { ?>
											<div class="portfolio_single_det">
												<p><i><strong><?php echo esc_attr( $despero_portfolio_single_add_field_title2 ); ?></strong></i>
												<span class="portfolio-add_field">
													<?php echo esc_attr( $despero_portfolio_single_add_field2 ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( isset( $despero_portfolio_single_add_field_title3 ) && $despero_portfolio_single_add_field_title3 != '' ) { ?>
											<div class="portfolio_single_det">
												<p><i><strong><?php echo esc_attr( $despero_portfolio_single_add_field_title3 ); ?></strong></i>
												<span class="portfolio-add_field">
													<?php echo esc_attr( $despero_portfolio_single_add_field3 ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( isset( $despero_portfolio_single_link ) && $despero_portfolio_single_link != '' ) { ?>
											<div class="portfolio_single_det">
												<p><i><strong><?php esc_html_e('Link', 'despero') ?></strong></i>
												<span class="portfolio-custom-link">
													<a class="theme_color" href="<?php echo esc_url( $despero_portfolio_single_link ); ?>" target="_blank">
														<?php echo esc_attr( ( $despero_portfolio_single_link_name != '' ) ? $despero_portfolio_single_link_name : $despero_portfolio_single_link ); ?>
													</a>
												</span></p>
											</div>
										<?php } ?>
										<?php if( $despero_portfolio_single_sharebox != 0 ) { ?>
											<div class="portfolio_single_sharebox">
												<?php get_template_part( 'templates/portfolio/sharebox' ); ?>
											</div>
										<?php } ?>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-12">
							<div class="portfolio_format_content">
								<?php get_template_part( 'templates/portfolio/post-format/post', $despero_pf ); ?>
							</div>
						</div>
					
					<?php } elseif ( $despero_portfolio_single_layout == 'half_width' ) { ?>
						
						<div class="col-lg-8 col-md-7 mb50">
							<div class="portfolio_format_content">
								<?php get_template_part( 'templates/portfolio/post-format/post', $despero_pf ); ?>
							</div>
						</div>
						<div class="col-lg-4 col-md-5 mb50">
							<div class="portfolio_single_content clearfix">
								<div class="portfolio_single_title_wrap">
									<h3 class="portfolio_single_title"><?php the_title(); ?></h3>
									<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
										<div class="divider_active">
											<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
												<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
											<?php } else { ?>
												<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
											<?php } ?>
										</div>
									<?php } ?>
									<div class="post_likes"><?php echo despero_likes(); ?></div>
								</div>
								<?php
									the_content(esc_html__('Read more!', 'despero'));
									wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'despero') . ': ', 'after' => '</div>'));
								?>
							</div>
							<div class="portfolio_single_details_wrap">
								<?php if( isset( $despero_portfolio_single_client ) && $despero_portfolio_single_client != '' ) { ?>
									<div class="portfolio_single_det">
										<p><i><strong><?php esc_html_e('Client', 'despero') ?></strong></i>
										<span class="portfolio-client">
											<?php echo esc_attr( $despero_portfolio_single_client ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( !empty( $despero_portfolio_category ) ) { ?>
									<div class="portfolio_single_det">
										<p><i><strong><?php esc_html_e('Category', 'despero') ?></strong></i>
										<span class="portfolio-category">
											<?php echo strip_tags($despero_portfolio_category) ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if(get_the_term_list($post->ID, 'portfolio_tag', '', ',', '')) { ?>
									<div class="portfolio_single_det">
										<p><i><strong><?php esc_html_e('Tags', 'despero') ?></strong></i>
										<span class="portfolio-tag">
											<?php echo get_the_term_list($post->ID, 'portfolio_tag', '', ', ', ''); ?>
										</span></p>
									</div>
								<?php } ?>
								<div class="portfolio_single_det">
									<p><i><strong><?php esc_html_e('Date', 'despero') ?></strong></i>
									<span class="portfolio-date">
										<?php the_date('j F Y'); ?>
									</span></p>
								</div>
								<?php if( isset( $despero_portfolio_single_add_field_title ) && $despero_portfolio_single_add_field_title != '' ) { ?>
									<div class="portfolio_single_det">
										<p><i><strong><?php echo esc_attr( $despero_portfolio_single_add_field_title ); ?></strong></i>
										<span class="portfolio-add_field">
											<?php echo esc_attr( $despero_portfolio_single_add_field ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( isset( $despero_portfolio_single_add_field_title2 ) && $despero_portfolio_single_add_field_title2 != '' ) { ?>
									<div class="portfolio_single_det">
										<p><i><strong><?php echo esc_attr( $despero_portfolio_single_add_field_title2 ); ?></strong></i>
										<span class="portfolio-add_field">
											<?php echo esc_attr( $despero_portfolio_single_add_field2 ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( isset( $despero_portfolio_single_add_field_title3 ) && $despero_portfolio_single_add_field_title3 != '' ) { ?>
									<div class="portfolio_single_det">
										<p><i><strong><?php echo esc_attr( $despero_portfolio_single_add_field_title3 ); ?></strong></i>
										<span class="portfolio-add_field">
											<?php echo esc_attr( $despero_portfolio_single_add_field3 ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( isset( $despero_portfolio_single_link ) && $despero_portfolio_single_link != '' ) { ?>
									<div class="portfolio_single_det">
										<p><i><strong><?php esc_html_e('Link', 'despero') ?></strong></i>
										<span class="portfolio-custom-link">
											<a class="theme_color" href="<?php echo esc_url( $despero_portfolio_single_link ); ?>" target="_blank">
												<?php echo esc_attr( ( $despero_portfolio_single_link_name != '' ) ? $despero_portfolio_single_link_name : $despero_portfolio_single_link ); ?>
											</a>
										</span></p>
									</div>
								<?php } ?>
								<?php if( $despero_portfolio_single_sharebox != 0 ) { ?>
									<div class="portfolio_single_sharebox">
										<?php get_template_part( 'templates/portfolio/sharebox' ); ?>
									</div>
								<?php } ?>
							</div>
						</div>
						
					<?php } ?>
					
				</div>
			</div>
		</div>
		
		<?php if( $despero_portfolio_single_navigation != 0) { ?>
			<div class="portfolio_single_nav">
					
				<?php $despero_options_header_layout = class_exists('ReduxFrameworkPlugin') ? despero_options('header-layout') : 'full_width'; ?>
				<?php $despero_header_layout = get_post_meta( $post->ID, 'despero_header_layout', true ) ? get_post_meta( $post->ID, 'despero_header_layout', true ) : $despero_options_header_layout; ?>
				<div class="<?php if( $despero_header_layout != 'full_width' ) { echo 'container'; } ?> clearfix">
					
					<?php
						
						$despero_prev_post = get_adjacent_post(false, '', false);
						$despero_next_post = get_adjacent_post(false, '', true);
						if( class_exists('ReduxFrameworkPlugin') && despero_options('portfolio_single_navigation_backbtn') != '' ){
							$despero_portfolio_single_navigation_backbtn = despero_options('portfolio_single_navigation_backbtn');
						}
						
						if($despero_prev_post){
							$despero_post_url = get_permalink( $despero_prev_post->ID );            
							echo '<div class="pull-left"><a href="' . esc_url( $despero_post_url ) . '" title="' . $despero_prev_post->post_title . '"><i class="first fa fa-angle-left"></i><i class="last fa fa-angle-left"></i><span>' . $despero_prev_post->post_title . '</span></a></div>';
						}
						
						if( class_exists('ReduxFrameworkPlugin') && despero_options('portfolio_single_navigation_backbtn') != '' ){
							echo '<a class="back-to-portfolio" href="' . esc_url( $despero_portfolio_single_navigation_backbtn ) . '"><i class="icon Evatheme-Icon-Fonts-thin-0208_grid_view"></i></a>';
						}
						
						if( $despero_next_post ) {
							$despero_post_url = get_permalink( $despero_next_post->ID );            
							echo '<div class="pull-right text-right"><a href="' . esc_url( $despero_post_url ) . '" title="' . $despero_next_post->post_title . '"><i class="first fa fa-angle-right"></i><i class="last fa fa-angle-right"></i><span>' . $despero_next_post->post_title . '</span></a></div>';
						} 
					?>
					
				</div>
			</div>
		<?php } ?>

<?php get_footer(); ?>
