<?php
/**
 * The template for displaying all single posts and attachments
 */

get_header();

global $post;

$despero_pf = get_post_format();

$despero_custom_divider 			= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url') : '';
$despero_custom_divider_width 		= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '48';

$despero_blogsingle_layout 			= class_exists('ReduxFrameworkPlugin') ? despero_options('blogsingle_layout') : 'right-sidebar';

if( $despero_blogsingle_layout == 'left-sidebar' ) {
	$despero_sidebar_class = 'pull-left ';
	$despero_blogsingle_wrap_class = 'left_sidebar ';
	$despero_blogsingle_class = 'col-md-8 pull-right';
} elseif( $despero_blogsingle_layout == 'right-sidebar' ) {
	$despero_sidebar_class = 'pull-right';
	$despero_blogsingle_wrap_class = 'right_sidebar ';
	$despero_blogsingle_class = 'col-md-8 pull-left ';
} else {
	$despero_sidebar_class = $despero_blogsingle_class = '';
	$despero_blogsingle_wrap_class = 'no_sidebar ';
}

$despero_post_single_style = get_post_meta( $post->ID, 'despero_post_single_style', true );

$despero_single_post_sharebox = $despero_single_post_author = $despero_single_post_navigation = $despero_single_post_related_posts = '';

if( class_exists( 'ReduxFrameworkPlugin' ) && despero_options('single_post_sharebox') != 0 ) {
	$despero_single_post_sharebox = 'show';
} else if( ! class_exists( 'ReduxFrameworkPlugin' ) ){
	$despero_single_post_sharebox = 'show';
}

if( class_exists( 'ReduxFrameworkPlugin' ) && despero_options('single_post_author') != 0 ) {
	$despero_single_post_author = 'show';
} else if( ! class_exists( 'ReduxFrameworkPlugin' ) ){
	$despero_single_post_author = 'show';
}

if( class_exists( 'ReduxFrameworkPlugin' ) && despero_options('single_post_navigation') != 0 ) {
	$despero_single_post_navigation = 'show';
} else if( ! class_exists( 'ReduxFrameworkPlugin' ) ){
	$despero_single_post_navigation = 'show';
}

if( class_exists( 'ReduxFrameworkPlugin' ) && despero_options('single_post_related_posts') != 0 ) {
	$despero_single_post_related_posts = 'show';
} else if( ! class_exists( 'ReduxFrameworkPlugin' ) ){
	$despero_single_post_related_posts = 'show';
}
?>
		
	<div class="container">
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div id="blog-single-wrap" class="<?php echo 'format-' . esc_attr( $despero_pf ) . ' ' . esc_attr( $despero_blogsingle_wrap_class ) . ' ' . esc_attr( $despero_post_single_style ); ?> clearfix">
				
				<?php if( $despero_post_single_style == 'fullscreen' ) { ?>
					
					<?php if( $despero_blogsingle_layout != 'no-sidebar' ) { ?>
						<div class="row">
							<div class="<?php echo esc_attr( $despero_blogsingle_class ); ?>">
						<?php } ?>
								
								<?php if( $despero_pf != 'image' && $despero_pf != 'standard' ) { ?>
									<div class="post_format_content text-center">
										<?php get_template_part( 'templates/blog/post-format/post', $despero_pf ); ?>
									</div>
								<?php } ?>

								<div class="single-post-content clearfix">
									
									<?php
										the_content(esc_html__('Read more!', 'despero'));
										wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'despero') . ': ', 'after' => '</div>'));
									?>
									
								</div>
								
								<div class="posts_nav_link"><?php posts_nav_link(); ?></div>
								
								<div class="single_post_meta_tags">
									<?php if( has_tag() ) {
										the_tags('','', '');
									} ?>
								</div>
							
						<?php if( $despero_blogsingle_layout != 'no-sidebar' ) { ?>
							</div>
							
							<div class="col-md-4 <?php echo esc_html( $despero_sidebar_class ); ?>">
								<?php get_sidebar(); ?>
							</div>
						</div>
					<?php } ?>
			
					<?php if( $despero_single_post_sharebox == 'show' ) {
						get_template_part( 'templates/blog/sharebox' );
					} ?>
					
					<?php if( $despero_single_post_author == 'show' ) {
						get_template_part( 'templates/blog/authorinfo' );
					} ?>
					
					<?php if( $despero_single_post_navigation == 'show' ) { ?>
						<div class="single_post_nav clearfix">
							<?php
								$despero_prev_post = get_adjacent_post(false, '', false);
								$despero_next_post = get_adjacent_post(false, '', true);

								if($despero_prev_post){
									$despero_post_url = get_permalink($despero_prev_post->ID);            
									echo '<div class="pull-left"><a href="' . esc_url( $despero_post_url ) . '" title="' . $despero_prev_post->post_title . '"><p class="heading_font"><i class="fa fa-chevron-left"></i>' . esc_html__('Previous','despero') . '</p><b>' . $despero_prev_post->post_title . '</b></a></div>';
								}

								if($despero_next_post) {
									$despero_post_url = get_permalink($despero_next_post->ID);            
									echo '<div class="pull-right text-right"><a href="' . esc_url( $despero_post_url ) . '" title="' . $despero_next_post->post_title . '"><p class="heading_font">' . esc_html__('Next','despero') . '<i class="fa fa-chevron-right"></i></p><b>' . $despero_next_post->post_title . '</b></a></div>';
								} 
							?>
						</div>
					<?php } ?>
				
					<?php if( $despero_single_post_related_posts == 'show' ) {
						get_template_part('templates/blog/related-posts');
					} ?>
					
					<?php 
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>
					
				<?php } else { ?>
				
					<?php if( $despero_blogsingle_layout != 'no-sidebar' ) { ?>
						<div class="row">
							<div class="<?php echo esc_html( $despero_blogsingle_class ); ?>">
						<?php } ?>
							
								<div class="single_post_header">
									<h2 class="single-post-title"><?php the_title(); ?></h2>
									<div class="clearfix">
										<div class="post-meta pull-left">
											<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
												<div class="divider_active">
													<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
														<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
													<?php } else { ?>
														<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
													<?php } ?>
												</div>
											<?php } ?>
											<span class="post-meta-author"><?php echo esc_attr__('by','despero'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
											<span class="post_meta_category"><?php echo esc_attr__('in','despero'); ?><?php the_category(', '); ?></span>
											<span class="post-meta-date"><?php echo esc_attr__('posted','despero'); ?><i><?php the_time('j F, Y'); ?></i></span>
										</div>
										<div class="pull-right">
											<span class="post-meta-comments"><i class="icon Evatheme-Icon-Fonts-thin-0274_chat_message_comment_bubble"></i><?php echo get_comments_number('0', '1', '%'); ?></span>
											<div class="post_likes"><?php echo despero_likes(); ?></div>
										</div>
									</div>
								</div>
								
								<div class="post_format_content text-center">
									<?php get_template_part( 'templates/blog/post-format/post', get_post_format() ); ?>
								</div>

								<div class="single-post-content clearfix">
									
									<?php
										the_content(esc_html__('Read more!', 'despero'));
										wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'despero') . ': ', 'after' => '</div>'));
									?>
									
								</div>
								
								<div class="posts_nav_link"><?php posts_nav_link(); ?></div>
								
								<div class="single_post_meta_tags">
									<?php if( has_tag() ) {
										the_tags('','', '');
									} ?>
								</div>
									
								<?php if( $despero_single_post_sharebox == 'show' ) {
									get_template_part( 'templates/blog/sharebox' );
								} ?>
								
								<?php if( $despero_single_post_author == 'show' ) {
									get_template_part( 'templates/blog/authorinfo' );
								} ?>
								
								<?php if( $despero_single_post_navigation == 'show' ) { ?>
									<div class="single_post_nav clearfix">
										<?php
											$despero_prev_post = get_adjacent_post(false, '', false);
											$despero_next_post = get_adjacent_post(false, '', true);

											if($despero_prev_post){
												$despero_post_url = get_permalink($despero_prev_post->ID);            
												echo '<div class="pull-left"><a href="' . esc_url( $despero_post_url ) . '" title="' . $despero_prev_post->post_title . '"><p><i class="fa fa-chevron-left"></i>' . esc_html__('Previous','despero') . '</p><b>' . $despero_prev_post->post_title . '</b></a></div>';
											}

											if($despero_next_post) {
												$despero_post_url = get_permalink($despero_next_post->ID);            
												echo '<div class="pull-right text-right"><a href="' . esc_url( $despero_post_url ) . '" title="' . $despero_next_post->post_title . '"><p>' . esc_html__('Next','despero') . '<i class="fa fa-chevron-right"></i></p><b>' . $despero_next_post->post_title . '</b></a></div>';
											} 
										?>
									</div>
								<?php } ?>
							
								<?php if( $despero_single_post_related_posts == 'show' ) {
									get_template_part('templates/blog/related-posts');
								} ?>
								
								<?php 
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
						
						<?php if( $despero_blogsingle_layout != 'no-sidebar' ) { ?>
							</div>
							
							<div class="col-md-4 <?php echo esc_html( $despero_sidebar_class ); ?>">
								<?php get_sidebar(); ?>
							</div>
						</div>
					<?php } ?>
				<?php } ?>
			</div>
		<?php endwhile; endif; ?>
		
	</div>

<?php get_footer(); ?>
