<?php
/**
 * The blog post content
 */

global $post;

wp_enqueue_script('despero_isotope', get_template_directory_uri() . '/assets/js/jquery.isotope.min.js', array('jquery'), false, true);

$despero_pf = get_post_format();
if (empty( $despero_pf )) $despero_pf = 'image';
if( is_author() ) {
	$excerpt_count = 210;
}
$despero_post_excerpt = (despero_smarty_modifier_truncate(get_the_excerpt(), $excerpt_count));
$despero_comment_count = get_comments_number('0', '1', '%');
?>
 
			<div class="post-content-wrapper clearfix">
				<div class="post_format_content">
					<div class="post_likes"><?php echo despero_likes(); ?></div>
					<?php get_template_part( 'templates/blog/post-format/post', $despero_pf ); ?>
				</div>
				<?php if( $despero_pf != 'quote' && $despero_pf != 'link' ) { ?>
					<div class="post-descr-wrap clearfix">
						<div class="post-meta">
							<span class="post-meta-author"><?php echo esc_attr__('by','despero'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
							<span class="post_meta_category"><?php echo esc_attr__('in','despero'); ?><?php the_category(', '); ?></span>
							<span class="post-meta-date"><?php echo esc_attr__('posted','despero'); ?><i><?php the_time('j F, Y'); ?></i></span>
						</div>
						<h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'despero'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
						<div class="post-content clearfix">
							<p><?php echo esc_html( $despero_post_excerpt ); ?></p>
						</div>
						<div class="clearfix">
							<a class="post_content_readmore pull-left" href="<?php echo get_permalink(); ?>"><?php echo esc_html__('Read More','despero'); ?></a>
							<a class="cstheme_comment_count" href="<?php comments_link(); ?>"><i class="icon Evatheme-Icon-Fonts-thin-0274_chat_message_comment_bubble"></i><?php echo esc_html( $despero_comment_count ); ?></a>
						</div>
					</div>
				<?php } ?>
			</div>