<?php 

global $post, $despero_options;

$despero_custom_divider 		= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url') : '';
$despero_custom_divider_width 	= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '48';
$despero_featured_image_url 	= wp_get_attachment_url(get_post_thumbnail_id());
$despero_post_link 				= get_post_meta($post->ID, 'despero_post_link', true);
?>

	<div class="post-link">
		<div class="featured_img_bg" 
			<?php if(!empty($despero_featured_image_url)) { ?>
				style="background-image:url(<?php echo esc_url( $despero_featured_image_url ); ?>);"
			<?php } ?>
		></div>
		<div class="post_link_wrap text-center">
			<i class="fa fa-link"></i>
			<h4><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'despero'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php echo the_title(); ?></a></h4>
			<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
				<div class="divider_active">
					<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
						<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
					<?php } else { ?>
						<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
					<?php } ?>
				</div>
			<?php } ?>
			<?php if(!empty($despero_post_link)) { echo '<a class="post_link" href="' . esc_url( $despero_post_link ) . '">' . esc_attr( $despero_post_link ) . '</a>'; } ?>
		</div>
	</div>