<?php 

global $post, $despero_options;

$despero_custom_divider 			= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url') : '';
$despero_custom_divider_width 		= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '48';
$despero_featured_image_url 		= wp_get_attachment_url(get_post_thumbnail_id());
$despero_post_quote_text 			= get_post_meta($post->ID, 'despero_post_quote_text', true);
$despero_post_quote_author 			= get_post_meta($post->ID, 'despero_post_quote_author', true);
$despero_post_quote_author_position = get_post_meta($post->ID, 'despero_post_quote_author_position', true);
?>

	<div class="post-quote">
		<div class="featured_img_bg" 
			<?php if( !empty( $despero_featured_image_url ) ) { ?>
				style="background-image:url(<?php echo esc_url( $despero_featured_image_url ); ?>);"
			<?php } ?>
		></div>
		<div class="post_quote_wrap text-center">
			<i class="theme_color">”</i>
			<h4><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'despero'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php if(!empty($despero_post_quote_text)) { echo esc_attr( $despero_post_quote_text ); } else { echo the_title(); } ?></a></h4>
			<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
				<div class="divider_active">
					<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
						<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
					<?php } else { ?>
						<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
					<?php } ?>
				</div>
			<?php } ?>
			<p><?php if(!empty($despero_post_quote_author)) { echo esc_attr( $despero_post_quote_author ); } else { echo get_the_author_meta('display_name'); } ?></p>
			<?php if(!empty($despero_post_quote_author_position)) { echo '<span>' . esc_attr( $despero_post_quote_author_position ) . '</span>'; } ?>
		</div>
	</div>