<?php

global $post;

$despero_custom_divider 					= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url') : '';
$despero_custom_divider_width 				= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '48';
$despero_single_post_related_posts_title 	= class_exists('ReduxFrameworkPlugin') ? despero_options('single_post_related_posts_title') : esc_html__('Related Posts', 'despero');
$despero_blogsingle_layout 					= class_exists('ReduxFrameworkPlugin') ? despero_options('blogsingle_layout') : 'left-sidebar';
$despero_post_excerpt_count 				= 155;
if ( $despero_blogsingle_layout != 'no-sidebar') {
	$despero_post_excerpt_count = 100;
}
$despero_post_excerpt = (despero_smarty_modifier_truncate(get_the_excerpt(), $despero_post_excerpt_count));
?>

	<div id="related_posts_list">
		
		<?php if ( !empty( $despero_single_post_related_posts_title ) ) { ?>
			<h4><?php echo esc_attr( $despero_single_post_related_posts_title ); ?></h4>
			<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
				<div class="divider_active">
					<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
						<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
					<?php } else { ?>
						<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
					<?php } ?>
				</div>
			<?php } ?>
		<?php } ?>
		
		<div class="owl-carousel">

			<?php
				
				$categories = get_the_category($post->ID);
				
				if ($categories) {

					$category_ids = array();

					foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
					
					$args = array(
						'category__in'     => $category_ids,
						'post__not_in'     => array($post->ID),
						'ignore_sticky_posts' => 1,
						'orderby' => 'rand'
					);
					
						$my_query = new WP_Query($args);
						if( $my_query->have_posts() ) {
							while ($my_query->have_posts()) : $my_query->the_post();
								
								$despero_featured_image_url = wp_get_attachment_url(get_post_thumbnail_id());
								$despero_featured_image = '<img src="' . despero_aq_resize($despero_featured_image_url, 370, 250, true, true, true) . '" alt="' . esc_attr( get_the_title() ) . '" />';
								
								echo '
									<div class="item">
										<div class="posts_carousel_wrap clearfix">
											<div class="post_format_content">
												<div class="post_likes">';
													despero_likes();
												echo '</div>
									';
												if( !empty( $despero_featured_image_url ) ) {
													echo '<a href="' . get_permalink() . '">' . $despero_featured_image . '</a>';
												}
										echo '
											</div>
											<div class="posts_carousel_content">
												<span class="post-meta-date">' . get_the_time('j F, Y') . '</span>
												<h5 class="post-title"><a href="' . get_permalink() . '">' . get_the_title() . '</a></h5>
												<p>' . esc_html( $despero_post_excerpt ) . '</p>
												' . despero_comment_count() . '
											</div>
										</div>
									</div>
								';
								
							endwhile;
							wp_reset_postdata();
						}
					
				}
			?>

		</div>
	</div>

	<script type="text/javascript">
		jQuery(window).load(function() {
			jQuery('#related_posts_list .owl-carousel').owlCarousel({
				margin: 30,
				dots: false,
				nav: false,
				autoplay: true,
				autoplaySpeed: 1000,
				autoplayTimeout: 3000,
				navSpeed: 1000,
				autoplayHoverPause: true,
				responsive: {
					0: {items: 1},
					481: {items: 2},
					769: {items: 2},
					1025: {items: 3}
				}
			});
		});
	</script>