<?php
/**
 * Page Title
 */

	global $post, $wp_query;
	
	$despero_custom_divider 			= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider', 'url') : '';
	$despero_custom_divider_width 		= class_exists('ReduxFrameworkPlugin') ? despero_options('custom_divider_width') : '48';
	
	$despero_options_pagetitle 			= class_exists('ReduxFrameworkPlugin') ? despero_options('pagetitle') : 'show';
	$despero_pagetitle 					= ( get_post_meta( $post->ID, 'despero_pagetitle', true ) ? get_post_meta( $post->ID, 'despero_pagetitle', true ) : $despero_options_pagetitle );
	if ( is_home() || is_singular('post') || is_category() || is_tag() || is_search() || is_day() || is_month() || is_year() ) {
		$despero_pagetitle 				= class_exists('ReduxFrameworkPlugin') ? despero_options('blog_pagetitle') : 'hide';
	} else if ( is_singular('portfolio') ) {
		$despero_pagetitle 				= class_exists('ReduxFrameworkPlugin') ? despero_options('portfolio_single_pagetitle') : 'show';
	} else if( class_exists('WooCommerce') && ( is_shop() || is_product_category() || is_product_tag() || is_cart() || is_checkout() || is_account_page() ) ) {
		$despero_pagetitle 				= class_exists('ReduxFrameworkPlugin') ? despero_options('shop_pagetitle') : 'show';
	} else if( class_exists('WooCommerce') && is_singular('product') ) {
		$despero_pagetitle 				= 'hide';
	}
	
	
	$despero_pagetitle_text				= get_post_meta( $post->ID, 'despero_pagetitle_text', true );
	$despero_blog_pagetitle_text		= class_exists('ReduxFrameworkPlugin') ? despero_options('blog_pagetitle_text') : esc_html__('Recent Posts', 'despero');
	$despero_pagetitle_subtext			= get_post_meta( $post->ID, 'despero_pagetitle_subtext', true );
	$despero_blog_pagetitle_subtext		= class_exists('ReduxFrameworkPlugin') ? despero_options('blog_pagetitle_subtext') : '';


	if ( $despero_pagetitle_subtext != '' ) {
		$despero_pagetitle_subtext 		= $despero_pagetitle_subtext;
	} else if ( ( class_exists('ReduxFrameworkPlugin') && despero_options('blog_pagetitle_subtext') != '' ) && ( is_home() ) ) {
		$despero_pagetitle_subtext 		= '<p>' . esc_html( $despero_blog_pagetitle_subtext ) . '</p>';
	} elseif ( is_search() ) {
		$despero_pagetitle_subtext 		= esc_html__('This is your custom search page', 'despero');
	}
	
	if ( $despero_pagetitle_text != '' ) {
		$despero_pagetitle_text = $despero_pagetitle_text;
	} else if (is_home()) {
		$despero_pagetitle_text = $despero_blog_pagetitle_text;
	} else if ( is_singular('post') ) {
		if( class_exists('ReduxFrameworkPlugin') && despero_options('blogsingle_pagetitle_text') != '' ){
			$despero_blogsingle_pagetitle_text = despero_options('blogsingle_pagetitle_text');
			$despero_pagetitle_text  = $despero_blogsingle_pagetitle_text;
		} else {
			$despero_pagetitle_text  = esc_html__( 'Single Post', 'despero' );
		}
		if( class_exists('ReduxFrameworkPlugin') && despero_options('blogsingle_pagetitle_subtext') != '' ){
			$despero_blogsingle_pagetitle_subtext 	= despero_options('blogsingle_pagetitle_subtext');
			$despero_pagetitle_subtext  = $despero_blogsingle_pagetitle_subtext;
		}
	} else if ( is_singular('portfolio') ) {
		if( class_exists('ReduxFrameworkPlugin') && despero_options('portfolio_single_pagetitle_subtext') != '' ) {
			$despero_pagetitle_subtext  = despero_options('portfolio_single_pagetitle_subtext');
		}
		if( class_exists('ReduxFrameworkPlugin') && despero_options('portfolio_single_pagetitle_text') != '' ) {
			$despero_pagetitle_text  = despero_options('portfolio_single_pagetitle_text');
		}
	} else if( class_exists('WooCommerce') && is_shop() ) {
		if( class_exists('ReduxFrameworkPlugin') && despero_options('shop_pagetitle_subtext') != '' ){
			$despero_pagetitle_subtext  = despero_options('shop_pagetitle_subtext');
		}
		if( class_exists('ReduxFrameworkPlugin') && despero_options('shop_pagetitle_text') != '' ){
			$despero_pagetitle_text  = despero_options('shop_pagetitle_text');
		}
	} else if ( is_category()) {
		$despero_pagetitle_text = esc_html__( 'Category Archive for :', 'despero' ) . ' ' . single_cat_title( '', false );
	} else if( is_tag() ) {
		$despero_pagetitle_text = esc_html__( 'Posts Tagged', 'despero' ) . ' ' . single_tag_title();
	} else if( is_search() ) {
		$despero_pagetitle_text = $wp_query->found_posts . ' ' . esc_attr__( 'search results for', 'despero' ) . ': \'' . esc_attr( get_search_query() );
	} else if ( is_day() || is_month() || is_year() ) {
		$despero_pagetitle_text = esc_html__( 'Archive for', 'despero' ) . ' ' . get_the_time( get_option( 'date_format' ) );
	} else if ( is_author()) {
		$despero_pagetitle_text = esc_html__( 'Author Archive', 'despero' );
	} else if ( is_404()) {
		$despero_pagetitle_text = esc_html__( 'Error 404', 'despero' );
	} else if ( isset( $_GET['paged'] ) && !empty( $_GET['paged'] ) ) {
		$despero_pagetitle_text = esc_html__( 'Blog Archives', 'despero' );
	} else {
		$despero_pagetitle_text = get_the_title();
	}
	
	/* Parallax Effect */
	$despero_pagetitle_bg_image_parallax = $despero_pagetitle_bg_image_parallax_theme = $despero_pagetitle_bg_image_parallax_page = $despero_pagetitle_class = '';
	$despero_pagetitle_bg_image_parallax_theme = get_post_meta( $post->ID, 'despero_pagetitle_bg_image_parallax', true );
	if( class_exists('ReduxFrameworkPlugin') ){
		$despero_pagetitle_bg_image_parallax_page = despero_options('pagetitle_bg_image_parallax');
	}
	$despero_pagetitle_bg_image_parallax = ! empty( $despero_pagetitle_bg_image_parallax_theme ) ? $despero_pagetitle_bg_image_parallax_theme : $despero_pagetitle_bg_image_parallax_page;
	if ( $despero_pagetitle_bg_image_parallax == 'enable' ) {
		wp_enqueue_script('despero_parallax', get_template_directory_uri() . '/assets/js/jquery.parallax.js', 'jquery', '', true);
		$despero_pagetitle_class .= ' despero_parallax';
	}
	
	/* If Single Post Fullscreen */
	$despero_post_single_style = '';
	$despero_post_single_style = get_post_meta( $post->ID, 'despero_post_single_style', true );
	if ( is_singular('post') && $despero_post_single_style == 'fullscreen' ) {
		$despero_pagetitle_class .= ' pagetitle_fullscreen';
	}
	
?>
		
		<?php if ( $despero_pagetitle == 'show' ) { ?>
			<div id="pagetitle" class="<?php echo esc_html( $despero_pagetitle_class ); ?>">
				<div class="container text-center">
					
					<?php if ( is_singular('post') && $despero_post_single_style == 'fullscreen' ) { ?>
						
						<div class="single_post_header">
							<?php echo despero_likes(); ?>
							<h2 class="single-post-title"><?php the_title(); ?></h2>
							<div class="post-meta">
								<span class="post-meta-author"><?php echo esc_attr__('by','despero'); ?><i><?php echo the_author_meta( 'display_name' , $post->post_author ); ?></i></span>
								<span class="post_meta_category"><?php echo esc_attr__('in','despero'); ?><?php the_category(', '); ?></span>
								<span class="post-meta-date"><?php echo esc_attr__('posted','despero'); ?><i><?php the_time('j F, Y'); ?></i></span>
								<span class="post-meta-comments"><?php echo despero_comment_count(); ?></span>
							</div>
						</div>
						
					<?php } else { ?>
					
						<?php echo '<p>' . $despero_pagetitle_subtext . '</p>'; ?>
						<?php echo '<h2>' . $despero_pagetitle_text . '</h2>'; ?>
						
					<?php } ?>
					<?php if ( !empty( $despero_custom_divider ) || $despero_custom_divider_width != '0' ) { ?>
						<div class="divider_active">
							<?php if( isset( $despero_custom_divider ) && !empty( $despero_custom_divider ) ){ ?>
								<img src="<?php echo esc_url( $despero_custom_divider ); ?>" alt="<?php echo esc_attr( the_title() ); ?>" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;" />
							<?php } else { ?>
								<span class="bg_primary" style="width:<?php echo esc_attr( $despero_custom_divider_width ); ?>px !important;"></span>
							<?php } ?>
						</div>
					<?php } ?>
				</div>
			</div>
		<?php } ?>
		
		<?php $despero_options_breadcrumbs = class_exists('ReduxFrameworkPlugin') ? despero_options('breadcrumbs') : 'hide'; ?>
		<?php $despero_breadcrumbs = ( get_post_meta( $post->ID, 'despero_breadcrumbs', true ) ? get_post_meta( $post->ID, 'despero_breadcrumbs', true ) : $despero_options_breadcrumbs ); ?>
		<?php if ( is_singular('portfolio') ) {
			$despero_breadcrumbs = class_exists('ReduxFrameworkPlugin') ? despero_options('portfolio_single_breadcrumbs') : 'show';
		} ?>
		
		<?php if ( $despero_breadcrumbs == 'show' ) { ?>
			<div id="breadcrumbs">
				<div class="container">
					<div class="row">
						<div class="col-sm-8">
							<?php despero_breadcrumbs(); ?>
						</div>
						<?php if ( ! is_front_page() ) { ?>
							<div class="col-sm-4 text-right">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="fa fa-chevron-left"></i><?php echo esc_attr__( 'Back Home', 'despero' ); ?></a>
							</div>
						<?php } ?>
					</div>
				</div>
			</div>
		<?php } ?>