<?php
/**
 * The portfolio post content
 */

global $post;

wp_enqueue_script('despero_isotope', get_template_directory_uri() . '/assets/js/jquery.isotope.min.js', array('jquery'), false, true);

$despero_featured_image_url = wp_get_attachment_url(get_post_thumbnail_id());
if ( $style == 'grid_card' ) {
	$despero_featured_image = '<img src="' . despero_aq_resize( $despero_featured_image_url, 520, 540, true, true, true ) . '" alt="' . get_the_title() . '" />';
} else {
	$despero_featured_image = '<img src="' . esc_url( $despero_featured_image_url ) . '" alt="' . get_the_title() . '" />';
}

$despero_portfolio_category = get_the_term_list($post->ID, 'portfolio_category', '', ', ', '');
?>
 
		<div class="portfolio_content_wrapper">
			<div class="portfolio_format_content">
				<div class="post_likes"><?php echo despero_likes(); ?></div>
				<?php if( !empty( $despero_featured_image_url ) ) { ?>
					<?php echo '<a href="' . get_permalink() . '">' . $despero_featured_image . '<i class="plus"></i></a>'; ?>
				<?php } ?>
			</div>
			<div class="portfolio_descr_wrap">
				<span class="portfolio_meta_category"><?php echo strip_tags( $despero_portfolio_category ); ?></span>
				<h2 class="portfolio_title"><a href="<?php the_permalink( $post->ID ); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'despero'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			</div>
		</div>